Index: CONFIG/UNIFORM/v6/IPSLCM6.2/GENERAL/PARAM/inca.def
===================================================================
--- CONFIG/UNIFORM/v6/IPSLCM6.2/GENERAL/PARAM/inca.def	(revision 5701)
+++ CONFIG/UNIFORM/v6/IPSLCM6.2/GENERAL/PARAM/inca.def	(revision 5702)
@@ -4,18 +4,10 @@
 #LMDZ_10m_winds=y --> use 10m wind from LMDZ, =n --> use 10m wind from output file
 LMDZ_10m_winds=_AUTO_
-10m_winds_method=_AUTO_
 #choose if there is a feedback with the areosol effect
 feedb=_AUTO_
-#indicate if we are running with xios and/or ioipsl
-XIOS_INCA_OK=_AUTO_
-IOIPSL_INCA_OK=_AUTO_
-#weibull 10m wind parameter / def 4
-kref=_AUTO_: DEFAULT =4
 #threshold 10m wind parameter / def 0.78
 tref=_AUTO_: DEFAULT =0.78
 #seasalt_correctif / def = 1 
 ss_corr=_AUTO_: DEFAULT =1 
-#sedimentation 
-multilayer_sediment=_AUTO_
 #coupled model with orchidee
 CoupOrchInca=_AUTO_
@@ -34,3 +26,4 @@
 #choose which time interpolation you want to interpolate sflx file. ( 0 - 1 - 2) (no interpolation / point to point interpolation / Sheng & Zwiers interpolation) 
 emi_interp_time=_AUTO_
-
+#activate the flag cmip_xml if you are running a CMIP experiment
+cmip_xml=_AUTO_: DEFAULT =n
Index: CONFIG/UNIFORM/v6/LMDZORINCA_v6.2/EXPERIMENTS/LMDZ/CREATE_amip/COMP/lmdz.card
===================================================================
--- CONFIG/UNIFORM/v6/LMDZORINCA_v6.2/EXPERIMENTS/LMDZ/CREATE_amip/COMP/lmdz.card	(revision 5701)
+++ CONFIG/UNIFORM/v6/LMDZORINCA_v6.2/EXPERIMENTS/LMDZ/CREATE_amip/COMP/lmdz.card	(revision 5702)
@@ -6,5 +6,5 @@
 [UserChoices]
 # Physics package to use
-LMDZ_Physics=NPv6.1
+LMDZ_Physics=NPv6.2
 
 # Manage radiative aerosol effect and ozone 
Index: CONFIG/UNIFORM/v6/LMDZORINCA_v6.2/EXPERIMENTS/LMDZ/CREATE_clim_360d/COMP/lmdz.card
===================================================================
--- CONFIG/UNIFORM/v6/LMDZORINCA_v6.2/EXPERIMENTS/LMDZ/CREATE_clim_360d/COMP/lmdz.card	(revision 5701)
+++ CONFIG/UNIFORM/v6/LMDZORINCA_v6.2/EXPERIMENTS/LMDZ/CREATE_clim_360d/COMP/lmdz.card	(revision 5702)
@@ -6,5 +6,5 @@
 [UserChoices]
 # Physics package to use
-LMDZ_Physics=NPv6.1
+LMDZ_Physics=NPv6.2
 
 # Manage radiative aerosol effect and ozone 
Index: CONFIG/UNIFORM/v6/LMDZORINCA_v6.2/EXPERIMENTS/LMDZOR/amip/COMP/lmdz.card
===================================================================
--- CONFIG/UNIFORM/v6/LMDZORINCA_v6.2/EXPERIMENTS/LMDZOR/amip/COMP/lmdz.card	(revision 5701)
+++ CONFIG/UNIFORM/v6/LMDZORINCA_v6.2/EXPERIMENTS/LMDZOR/amip/COMP/lmdz.card	(revision 5702)
@@ -13,5 +13,6 @@
 # LMDZ_Physics=NPv6.1 to be used with LMDZ6/branches/IPSLCM6.0.15 rev 3301
 # LMDZ_Physics=NPv6.1.3 as NPv6.1 but allows tau_gl to be modified
-LMDZ_Physics=NPv6.1.3
+# LMDZ_Physics=NPv6.2 as used in QUEST CMIP6 simulations
+LMDZ_Physics=NPv6.2
 
 # Set ConfType to choose parameters for aerosols, solar and green house gazes.
@@ -100,4 +101,5 @@
         (${MODIPSL}/modeles/LMDZ/DefLists/context_lmdz.xml, . ),            \
         (${MODIPSL}/modeles/LMDZ/DefLists/field_def_lmdz.xml, . ),          \
+	(${MODIPSL}/modeles/LMDZ/DefLists/field_def_cosp1.xml, . ),         \
         (${MODIPSL}/modeles/LMDZ/DefLists/file_def_histmth_lmdz.xml, . ),   \
         (${MODIPSL}/modeles/LMDZ/DefLists/file_def_histmthCOSP_lmdz.xml, .),\
Index: CONFIG/UNIFORM/v6/LMDZORINCA_v6.2/EXPERIMENTS/LMDZOR/amip/COMP/orchidee.card
===================================================================
--- CONFIG/UNIFORM/v6/LMDZORINCA_v6.2/EXPERIMENTS/LMDZOR/amip/COMP/orchidee.card	(revision 5701)
+++ CONFIG/UNIFORM/v6/LMDZORINCA_v6.2/EXPERIMENTS/LMDZOR/amip/COMP/orchidee.card	(revision 5702)
@@ -27,7 +27,7 @@
 
 [InitialStateFiles]
-List=	(${R_IN}/SRF/soils_param.nc, . ), \
+List=	(${R_IN}/SRF/SOIL/soils_param.nc, .), \
 	(${R_IN}/SRF/reftemp.nc, . ), \
-	(${R_IN}/SRF/routing.nc, . ), \
+	(${R_IN}/SRF/ROUTING/routing.nc, . ), \
         (${R_IN}/SRF/albedo/alb_bg_modisopt_2D_ESA_v2.nc, alb_bg.nc ), \
         (${R_IN}/SRF/cartepente2d_15min.nc, .)
Index: CONFIG/UNIFORM/v6/LMDZORINCA_v6.2/EXPERIMENTS/LMDZOR/clim_pdControl/COMP/lmdz.card
===================================================================
--- CONFIG/UNIFORM/v6/LMDZORINCA_v6.2/EXPERIMENTS/LMDZOR/clim_pdControl/COMP/lmdz.card	(revision 5701)
+++ CONFIG/UNIFORM/v6/LMDZORINCA_v6.2/EXPERIMENTS/LMDZOR/clim_pdControl/COMP/lmdz.card	(revision 5702)
@@ -13,5 +13,6 @@
 # LMDZ_Physics=NPv6.1 to be used with LMDZ6/branches/IPSLCM6.0.15 rev 3301
 # LMDZ_Physics=NPv6.1.3 as NPv6.1 but allows tau_gl to be modified
-LMDZ_Physics=NPv6.1.3
+# LMDZ_Physics=NPv6.2 as used in QUEST CMIP6 simulations
+LMDZ_Physics=NPv6.2
 
 # Set ConfType to choose parameters for aerosols, solar and green house gazes.
@@ -95,4 +96,5 @@
         (${MODIPSL}/modeles/LMDZ/DefLists/context_lmdz.xml, . ),            \
         (${MODIPSL}/modeles/LMDZ/DefLists/field_def_lmdz.xml, . ),          \
+	(${MODIPSL}/modeles/LMDZ/DefLists/field_def_cosp1.xml, . ),         \
         (${MODIPSL}/modeles/LMDZ/DefLists/file_def_histmth_lmdz.xml, . ),   \
         (${MODIPSL}/modeles/LMDZ/DefLists/file_def_histmthCOSP_lmdz.xml, .),\
Index: CONFIG/UNIFORM/v6/LMDZORINCA_v6.2/GENERAL/DRIVER/lmdz.driver
===================================================================
--- CONFIG/UNIFORM/v6/LMDZORINCA_v6.2/GENERAL/DRIVER/lmdz.driver	(revision 5701)
+++ CONFIG/UNIFORM/v6/LMDZORINCA_v6.2/GENERAL/DRIVER/lmdz.driver	(revision 5702)
@@ -367,5 +367,9 @@
     fi
 
-    if [ X${config_ListOfComponents_CHM} = Xinca ] ; then
+    if [ X${config_UserChoices_ConfigType} = XESMCO2AER ] ; then
+    echo "ESM config, with INCA and CO2i, set type_trac=inco in run.def"
+    IGCM_comp_modifyDefFile blocker run.def type_trac inco
+    IGCM_comp_modifyDefFile blocker run.def iflag_phytrac 1
+    elif [ X${config_ListOfComponents_CHM} = Xinca ] ; then
 	echo "Activate coupling to INCA, set type_trac=inca in run.def"
 	IGCM_comp_modifyDefFile blocker run.def type_trac inca
@@ -380,5 +384,5 @@
 	IGCM_comp_modifyDefFile blocker run.def type_trac co2i
         IGCM_comp_modifyDefFile blocker run.def config_inca none
-	IGCM_comp_modifyDefFile blocker run.def iflag_phytrac 1  
+    IGCM_comp_modifyDefFile blocker run.def iflag_phytrac 1 
     elif [ X${lmdz_UserChoices_LMDZ_strataero} = Xy ] ; then
         echo "No coupling to chemistry model but it is a LMDZ STRATAER configuration, set type_trac=coag in run.def"
@@ -480,5 +484,5 @@
     fi 
 
-    if [ X${config_UserChoices_ConfigType} = XESMCO2 ] ; then
+    if ( [ X${config_UserChoices_ConfigType} = XESMCO2 ] || [ X${config_UserChoices_ConfigType} = XESMCO2AER ] ) ; then
 	# Set carbon cycle parameters according to parmeters in lmdz.card 
 	IGCM_comp_modifyDefFile blocker config.def level_coupling_esm 2 
@@ -554,7 +558,7 @@
     fi
     # Include xml files for output configuration if running with workflow CMIP6
-    if [ X"$( echo ${config_UserChoices_ExpType} | grep CMIP6 )" != "X" ] ; then
+    if ( [ X"$( echo ${config_UserChoices_ExpType} | grep CMIP6 )" != "X" ] || [ X${config_Post_dr2xmlIPSL} = XTRUE ] ) ; then
 	echo '<context id="LMDZ" src="./ping_lmdz.xml"/>' >> add.tmp
-	echo '<context id="LMDZ" src="./dr2xml_lmdz.xml"/>' >> add.tmp
+    echo '<context id="LMDZ" src="./dr2xml_lmdz.xml"/>' >> add.tmp
     fi
     cp iodef.xml iodef.xml.tmp
Index: CONFIG/UNIFORM/v6/LMDZORINCA_v6.2/GENERAL/DRIVER/orchidee.driver
===================================================================
--- CONFIG/UNIFORM/v6/LMDZORINCA_v6.2/GENERAL/DRIVER/orchidee.driver	(revision 5701)
+++ CONFIG/UNIFORM/v6/LMDZORINCA_v6.2/GENERAL/DRIVER/orchidee.driver	(revision 5702)
@@ -147,7 +147,7 @@
     fi
     # Include xml files for output configuration if running with workflow CMIP6
-    if [ X"$( echo ${config_UserChoices_ExpType} | grep CMIP6 )" != "X" ] ; then
-	echo '<context id="orchidee" src="./ping_orchidee.xml"/>' >> add.tmp
-	echo '<context id="orchidee" src="./dr2xml_orchidee.xml"/>' >> add.tmp
+    if ( [ X"$( echo ${config_UserChoices_ExpType} | grep CMIP6 )" != "X" ] || [ X${config_Post_dr2xmlIPSL} = XTRUE ] ) ; then
+	  echo '<context id="orchidee" src="./ping_orchidee.xml"/>' >> add.tmp
+	  echo '<context id="orchidee" src="./dr2xml_orchidee.xml"/>' >> add.tmp
     fi
     cp iodef.xml iodef.xml.tmp
Index: CONFIG/UNIFORM/v6/LMDZORINCA_v6.2/GENERAL/DRIVER/xios.driver
===================================================================
--- CONFIG/UNIFORM/v6/LMDZORINCA_v6.2/GENERAL/DRIVER/xios.driver	(revision 5701)
+++ CONFIG/UNIFORM/v6/LMDZORINCA_v6.2/GENERAL/DRIVER/xios.driver	(revision 5702)
@@ -20,5 +20,6 @@
 
 # Activate 2nd server level for CMIP6 type experiments (CMIP6 workflow)
-    if [ X"$( echo ${config_UserChoices_ExpType} | grep CMIP6 )" != "X" ] || [ X"$( echo ${config_UserChoices_ExpType} | grep MR025 )" != "X" ] ; then
+
+    if ( [ X"$( echo ${config_UserChoices_ExpType} | grep CMIP6 )" != "X" ] || [ X"$( echo ${config_UserChoices_ExpType} | grep MR025 )" != "X" ] || [ X${config_Post_dr2xmlIPSL} = XTRUE ] ) ; then
        IGCM_comp_modifyXmlFile force iodef.xml using_server2 NONE true
     fi
Index: CONFIG/UNIFORM/v6/LMDZORINCA_v6.2/GENERAL/PARAM/gcm.def_144x142_NPv6.0.15_S
===================================================================
--- CONFIG/UNIFORM/v6/LMDZORINCA_v6.2/GENERAL/PARAM/gcm.def_144x142_NPv6.0.15_S	(revision 5701)
+++ CONFIG/UNIFORM/v6/LMDZORINCA_v6.2/GENERAL/PARAM/gcm.def_144x142_NPv6.0.15_S	(revision 5702)
@@ -1,3 +1,3 @@
-## $Id: gcm.def_144x142_NPv6.0.15_S 3590 2018-02-19 09:50:04Z jgipsl $
+## $Id: gcm.def_144x142_NPv6.0.15_S 3583 2018-02-14 14:45:14Z lfairhead $
 ## nombre de pas par jour (multiple de iperiod) 
 ## ( day_step=672 => dt=2.15min or 15mn/7, physique toutes les 15 mn )
Index: CONFIG/UNIFORM/v6/LMDZORINCA_v6.2/GENERAL/PARAM/gcm.def_144x142_NPv6.0.15_T
===================================================================
--- CONFIG/UNIFORM/v6/LMDZORINCA_v6.2/GENERAL/PARAM/gcm.def_144x142_NPv6.0.15_T	(revision 5701)
+++ CONFIG/UNIFORM/v6/LMDZORINCA_v6.2/GENERAL/PARAM/gcm.def_144x142_NPv6.0.15_T	(revision 5702)
@@ -1,3 +1,3 @@
-## $Id: gcm.def_144x142_NPv6.0.15_T 3590 2018-02-19 09:50:04Z jgipsl $
+## $Id: gcm.def_144x142_NPv6.0.15_T 3583 2018-02-14 14:45:14Z lfairhead $
 ## nombre de pas par jour (multiple de iperiod) 
 ## ( day_step=672 => dt=2.15min or 15mn/7, physique toutes les 15 mn )
Index: CONFIG/UNIFORM/v6/LMDZORINCA_v6.2/GENERAL/PARAM/gcm.def_144x142_NPv6.0.8
===================================================================
--- CONFIG/UNIFORM/v6/LMDZORINCA_v6.2/GENERAL/PARAM/gcm.def_144x142_NPv6.0.8	(revision 5701)
+++ CONFIG/UNIFORM/v6/LMDZORINCA_v6.2/GENERAL/PARAM/gcm.def_144x142_NPv6.0.8	(revision 5702)
@@ -1,3 +1,3 @@
-## $Id: gcm.def_144x142_NPv6.0.8 3133 2017-02-15 14:13:49Z jgipsl $
+## $Id: gcm.def_144x142_NPv6.0.8 3123 2017-02-13 16:08:00Z lfairhead $
 ## nombre de pas par jour (multiple de iperiod) ( day_step=960 => dt=1.5min )
 day_step=960
Index: CONFIG/UNIFORM/v6/LMDZORINCA_v6.2/GENERAL/PARAM/gcm.def_144x142_NPv6.0.9
===================================================================
--- CONFIG/UNIFORM/v6/LMDZORINCA_v6.2/GENERAL/PARAM/gcm.def_144x142_NPv6.0.9	(revision 5701)
+++ CONFIG/UNIFORM/v6/LMDZORINCA_v6.2/GENERAL/PARAM/gcm.def_144x142_NPv6.0.9	(revision 5702)
@@ -1,3 +1,3 @@
-## $Id: gcm.def_144x142_NPv6.0.9 3155 2017-03-02 09:13:22Z jgipsl $
+## $Id: gcm.def_144x142_NPv6.0.9 3154 2017-03-01 20:15:12Z aclsce $
 ## nombre de pas par jour (multiple de iperiod) ( day_step=960 => dt=1.5min )
 day_step=672
Index: CONFIG/UNIFORM/v6/LMDZORINCA_v6.2/GENERAL/PARAM/gcm.def_144x142_NPv6.1
===================================================================
--- CONFIG/UNIFORM/v6/LMDZORINCA_v6.2/GENERAL/PARAM/gcm.def_144x142_NPv6.1	(revision 5701)
+++ CONFIG/UNIFORM/v6/LMDZORINCA_v6.2/GENERAL/PARAM/gcm.def_144x142_NPv6.1	(revision 5702)
@@ -1,3 +1,3 @@
-## $Id: gcm.def_144x142_NPv6.1 3675 2018-03-22 08:27:36Z jgipsl $
+## $Id: gcm.def_144x142_NPv6.1 3668 2018-03-20 14:55:33Z lfairhead $
 ## nombre de pas par jour (multiple de iperiod) 
 ## ( day_step=672 => dt=2.15min or 15mn/7, physique toutes les 15 mn )
Index: CONFIG/UNIFORM/v6/LMDZORINCA_v6.2/GENERAL/PARAM/physiq.def_NPv5.70
===================================================================
--- CONFIG/UNIFORM/v6/LMDZORINCA_v6.2/GENERAL/PARAM/physiq.def_NPv5.70	(revision 5701)
+++ CONFIG/UNIFORM/v6/LMDZORINCA_v6.2/GENERAL/PARAM/physiq.def_NPv5.70	(revision 5702)
@@ -1,4 +1,4 @@
 #
-# $Id: physiq.def_NPv5.70 3034 2016-12-01 15:55:31Z jgipsl $
+# $Id: physiq.def_NPv5.70 3033 2016-12-01 14:43:42Z jgipsl $
 #
 ##############################################################################
Index: CONFIG/UNIFORM/v6/LMDZORINCA_v6.2/GENERAL/PARAM/physiq.def_NPv6.0.11
===================================================================
--- CONFIG/UNIFORM/v6/LMDZORINCA_v6.2/GENERAL/PARAM/physiq.def_NPv6.0.11	(revision 5701)
+++ CONFIG/UNIFORM/v6/LMDZORINCA_v6.2/GENERAL/PARAM/physiq.def_NPv6.0.11	(revision 5702)
@@ -1,4 +1,4 @@
 #
-# $Id: physiq.def_NPv6.0.11 3323 2017-07-24 13:28:06Z jgipsl $
+# $Id: physiq.def_NPv6.0.11 3312 2017-07-12 09:43:27Z aclsce $
 #
 
Index: CONFIG/UNIFORM/v6/LMDZORINCA_v6.2/GENERAL/PARAM/physiq.def_NPv6.0.15_S
===================================================================
--- CONFIG/UNIFORM/v6/LMDZORINCA_v6.2/GENERAL/PARAM/physiq.def_NPv6.0.15_S	(revision 5701)
+++ CONFIG/UNIFORM/v6/LMDZORINCA_v6.2/GENERAL/PARAM/physiq.def_NPv6.0.15_S	(revision 5702)
@@ -1,4 +1,4 @@
 #
-# $Id: physiq.def_NPv6.0.15_S 3592 2018-02-19 16:44:48Z lfairhead $
+# $Id: physiq.def_NPv6.0.15_S 3593 2018-02-20 10:07:02Z jgipsl $
 #
 
Index: CONFIG/UNIFORM/v6/LMDZORINCA_v6.2/GENERAL/PARAM/physiq.def_NPv6.0.8
===================================================================
--- CONFIG/UNIFORM/v6/LMDZORINCA_v6.2/GENERAL/PARAM/physiq.def_NPv6.0.8	(revision 5701)
+++ CONFIG/UNIFORM/v6/LMDZORINCA_v6.2/GENERAL/PARAM/physiq.def_NPv6.0.8	(revision 5702)
@@ -1,4 +1,4 @@
 #
-# $Id: physiq.def_NPv6.0.8 3131 2017-02-14 15:11:12Z jgipsl $
+# $Id: physiq.def_NPv6.0.8 3123 2017-02-13 16:08:00Z lfairhead $
 #
 ##############################################################################
Index: CONFIG/UNIFORM/v6/LMDZORINCA_v6.2/GENERAL/PARAM/physiq.def_NPv6.0.9
===================================================================
--- CONFIG/UNIFORM/v6/LMDZORINCA_v6.2/GENERAL/PARAM/physiq.def_NPv6.0.9	(revision 5701)
+++ CONFIG/UNIFORM/v6/LMDZORINCA_v6.2/GENERAL/PARAM/physiq.def_NPv6.0.9	(revision 5702)
@@ -1,4 +1,4 @@
 #
-# $Id: physiq.def_NPv6.0.9 3155 2017-03-02 09:13:22Z jgipsl $
+# $Id: physiq.def_NPv6.0.9 3154 2017-03-01 20:15:12Z aclsce $
 #
 ##############################################################################
Index: CONFIG/UNIFORM/v6/LMDZORINCA_v6.2/GENERAL/PARAM/physiq.def_NPv6.1
===================================================================
--- CONFIG/UNIFORM/v6/LMDZORINCA_v6.2/GENERAL/PARAM/physiq.def_NPv6.1	(revision 5701)
+++ CONFIG/UNIFORM/v6/LMDZORINCA_v6.2/GENERAL/PARAM/physiq.def_NPv6.1	(revision 5702)
@@ -1,4 +1,4 @@
 #
-# $Id: physiq.def_NPv6.1 4020 2018-09-05 17:28:38Z jgipsl $
+# $Id: physiq.def_NPv6.1 3964 2018-07-06 11:44:14Z acosce $
 #
 
Index: CONFIG/UNIFORM/v6/LMDZORINCA_v6.2/GENERAL/PARAM/ping_LMDZ.xml
===================================================================
--- CONFIG/UNIFORM/v6/LMDZORINCA_v6.2/GENERAL/PARAM/ping_LMDZ.xml	(revision 5701)
+++ CONFIG/UNIFORM/v6/LMDZORINCA_v6.2/GENERAL/PARAM/ping_LMDZ.xml	(revision 5702)
@@ -174,4 +174,5 @@
    <field id="CMIP6_od550so4so"    field_ref="dummy_not_provided"        /> <!-- P1 (1)  : Stratospheric Optical depth at 550 nm (sulphate only) 2D-field (here we limit the computation of OD to the stratosphere only) --> 
    <field id="CMIP6_od865dust"     field_ref="dummy_not_provided"        /> <!-- P1 (1) atmosphere_optical_thickness_due_to_dust_ambient_aerosol_particles : Optical thickness at 865 nm Dust -->
+   <field id="CMIP6_orog"          field_ref="phis" > phis / 9.80665 </field> <!-- P1 (m) surface_altitude : Surface Altitude -->
    <field id="CMIP6_parasolRefl" field_ref="parasol_refl"                /> <!-- P1 (1) toa_bidirectional_reflectance : PARASOL Reflectance -->
    <field id="CMIP6_pctisccp"      field_ref="ctpisccp"                  /> <!-- P1 (Pa) air_pressure_at_cloud_top : time-means weighted by the ISCCP Total Cloud Fraction - see  http://cfmip.metoffice.com/COSP.html -->
Index: CONFIG/UNIFORM/v6/diff_configurations.ksh
===================================================================
--- CONFIG/UNIFORM/v6/diff_configurations.ksh	(revision 5701)
+++ CONFIG/UNIFORM/v6/diff_configurations.ksh	(revision 5702)
@@ -17,5 +17,5 @@
 ConfigList=`ls |grep ${ConfigFamily} |grep -v out`
 ConfigList=$ConfigList" IPSLCM6 IPSLCM6CHT"
-ConfigList="IPSLCM5A2CHT IPSLCM5A2"
+ConfigList="IPSLCM6.2 LMDZORINCA_v6.2"
 verbose=no
 echo All configurations to tests : $ConfigList