Index: /CONFIG/UNIFORM/v6/IPSLCM6_LANDN/AA_make
===================================================================
--- /CONFIG/UNIFORM/v6/IPSLCM6_LANDN/AA_make	(revision 5720)
+++ /CONFIG/UNIFORM/v6/IPSLCM6_LANDN/AA_make	(revision 5721)
@@ -129,5 +129,5 @@
 lmdz: ../../modeles/LMDZ
 #	(cd ../../modeles/LMDZ; ./makelmdz_fcm -d $(RESOL_LMDZ) -arch $(FCM_ARCH) -j 8 ce0l ; mv bin/ce0l_$(RESOL_LMDZ)_phylmd_seq.e ../../bin/create_etat0_limit.e ; )
-	(cd ../../modeles/LMDZ ; ./makelmdz_fcm   -d $(RESOL_LMDZ) -mem -cosp true -v true -parallel mpi_omp -io xios -rrtm true -c OMCT -job 8 -arch $(FCM_ARCH) gcm  ; mv bin/gcm_$(RESOL_LMDZ)_phylmd_para_mem_orch_couple.e ../../bin/gcm.e ; )
+	(cd ../../modeles/LMDZ ; ./makelmdz_fcm   -d $(RESOL_LMDZ) -mem -cosp true -v orchidee2.0 -parallel mpi_omp -io xios -rrtm true -c OMCT -job 8 -arch $(FCM_ARCH) gcm  ; mv bin/gcm_$(RESOL_LMDZ)_phylmd_para_mem_orch_couple.e ../../bin/gcm.e ; )
 
 lmdzinca: ../../modeles/LMDZ
@@ -135,8 +135,8 @@
 	(cd ../../modeles/INCA; ./makeinca_fcm -chimie $(CHIMIE) -prod -xios -parallel mpi_omp -resol $(RESOL) -j 8 -arch $(FCM_ARCH); cp SIMULATIONS/$(CHIMIE)/inca.dat ../../bin/inca.dat ; )
 #	(cd ../../modeles/LMDZ; ./makelmdz_fcm -d $(RESOL) -arch $(FCM_ARCH) -j 8 ce0l ; mv bin/ce0l_$(RESOL)_phylmd_seq.e ../../bin/create_etat0_limit.e ; )
-	(cd ../../modeles/LMDZ ; ./makelmdz_fcm   -chimie INCA   -d $(RESOL) -mem -cosp true -v true -parallel mpi_omp -io xios -rrtm true -c OMCT -job 8 -arch $(FCM_ARCH) gcm  ; mv bin/gcm_$(RESOL)_phylmd_para_mem_orch_couple_inca.e ../../bin/gcm.e ; )
+	(cd ../../modeles/LMDZ ; ./makelmdz_fcm   -chimie INCA   -d $(RESOL) -mem -cosp true -v orchidee2.0 -parallel mpi_omp -io xios -rrtm true -c OMCT -job 8 -arch $(FCM_ARCH) gcm  ; mv bin/gcm_$(RESOL)_phylmd_para_mem_orch_couple_inca.e ../../bin/gcm.e ; )
 
 lmdzstrataer: ../../modeles/LMDZ
-	(cd ../../modeles/LMDZ ; ./makelmdz_fcm   -d $(RESOL_LMDZ) -mem -cosp true -v true -parallel mpi_omp -io xios -rrtm true -strataer true -c OMCT -job 8 -arch $(FCM_ARCH) gcm  ; mv bin/gcm_$(RESOL_LMDZ)_phylmd_para_mem_orch_couple.e ../../bin/gcm.e ; )
+	(cd ../../modeles/LMDZ ; ./makelmdz_fcm   -d $(RESOL_LMDZ) -mem -cosp true -v orchidee2.0 -parallel mpi_omp -io xios -rrtm true -strataer true -c OMCT -job 8 -arch $(FCM_ARCH) gcm  ; mv bin/gcm_$(RESOL_LMDZ)_phylmd_para_mem_orch_couple.e ../../bin/gcm.e ; )
 
 xios: ../../modeles/XIOS
Index: /CONFIG/UNIFORM/v6/IPSLCM6_LANDN/EXPERIMENTS/IPSLCM/piControl_TEST/COMP/orchidee.card
===================================================================
--- /CONFIG/UNIFORM/v6/IPSLCM6_LANDN/EXPERIMENTS/IPSLCM/piControl_TEST/COMP/orchidee.card	(revision 5720)
+++ /CONFIG/UNIFORM/v6/IPSLCM6_LANDN/EXPERIMENTS/IPSLCM/piControl_TEST/COMP/orchidee.card	(revision 5721)
@@ -34,5 +34,6 @@
 
 [InitialStateFiles]
-List=	(${R_IN}/SRF/soils_param.nc, . ), \
+List=	(${R_IN}/SRF/SOIL/soils_param.nc, .), \
+        (${R_IN}/SRF/SOIL/soil_bulk_and_ph.nc, .), \
 	(${R_IN}/SRF/reftemp.nc, . ), \
 	(${R_IN}/SRF/routing.nc, . ), \
Index: /CONFIG/UNIFORM/v6/IPSLCM6_LANDN/EXPERIMENTS/IPSLCM/piControl_TEST/COMP/stomate.card
===================================================================
--- /CONFIG/UNIFORM/v6/IPSLCM6_LANDN/EXPERIMENTS/IPSLCM/piControl_TEST/COMP/stomate.card	(revision 5720)
+++ /CONFIG/UNIFORM/v6/IPSLCM6_LANDN/EXPERIMENTS/IPSLCM/piControl_TEST/COMP/stomate.card	(revision 5721)
@@ -3,4 +3,10 @@
 
 [UserChoices]
+
+# Update nitrogen input maps (default 0Y)
+NINPUT_UPDATE =0Y
+
+# Impose the CN ratio of leaves
+STOMATE_IMPOSE_CN =y
 
 # Specify output level for output files
@@ -19,5 +25,9 @@
 
 [InitialStateFiles]
-List=   ()
+List=	(${R_IN}/SRF/NITROGEN/N_FERTILISATION/NMIP/synthetic/historical/Nfer_pasture_1850.nc, nfert_pasture.nc) ,\
+    (${R_IN}/SRF/NITROGEN/N_FERTILISATION/NMIP/synthetic/historical/Nfer_cropland_1850.nc, nfert_cropland.nc) ,\
+    (${R_IN}/SRF/NITROGEN/N_DEPOSITION/CCMI_ndep/historical/CCMI_ndep_nhx_1850.nc, ndep_nhx.nc), \
+    (${R_IN}/SRF/NITROGEN/N_DEPOSITION/CCMI_ndep/historical/CCMI_ndep_noy_1850.nc, ndep_noy.nc), \
+    (${R_IN}/SRF/NITROGEN/BNF/bnf_1850.nc, bnf.nc) 
 
 [BoundaryFiles]
Index: /CONFIG/UNIFORM/v6/IPSLCM6_LANDN/GENERAL/PARAM/orchidee.def_CWRR
===================================================================
--- /CONFIG/UNIFORM/v6/IPSLCM6_LANDN/GENERAL/PARAM/orchidee.def_CWRR	(revision 5720)
+++ /CONFIG/UNIFORM/v6/IPSLCM6_LANDN/GENERAL/PARAM/orchidee.def_CWRR	(revision 5721)
@@ -35,8 +35,4 @@
 # Hydrology parameters
 #**************************************************************************
-# Activate the multi-layer diffusion scheme adapted from CWRR
-# default = y
-HYDROL_CWRR = y
-
 # Activate river routing
 # default = y
@@ -49,5 +45,4 @@
 # SOILTYPE_CLASSIF :  Type of classification used for the map of soil types (default zobler)
 SOILTYPE_CLASSIF = zobler 
-SOILALB_FILE     = soils_param.nc
 SOILCLASS_FILE   = soils_param.nc
 
@@ -64,4 +59,16 @@
 # Activate Stomate component
 STOMATE_OK_STOMATE = _AUTOBLOCKER_ 
+
+# Parameters related to nitrogen cycle
+#**************************************************************************
+# Update nitrogen input maps (default 0Y)
+NINPUT_UPDATE = _AUTO_
+
+# Impose the CN ratio of leaves
+STOMATE_IMPOSE_CN = _AUTO_
+
+# Set STOMATE_READ_CN=y to read cnleaf_map.nc file if STOMATE_IMPOSE_CN=y
+STOMATE_READ_CN = n
+CNLEAF_VAR = CN_LEAF
 
 # Activate calculations of CO2 according to Farqhuar and Ball
@@ -177,8 +184,4 @@
 MAINT_RESP_SLOPE_C__15 = 0.25
 
-# Soil turnover (default CARBON_TAU=7, CARBON_TAU_IPASSOVE=300)
-CARBON_TAU_ISLOW = 7
-CARBON_TAU_IPASSIVE = 300
-
 # Take carbon from atmosphere if carbohydrate reserve too small, PFT dependent
 # Set to y for all pft except C4 grass (pft=11) and tropical C3 grass (pft=14)
@@ -232,2 +235,77 @@
 CO2_FOR_BVOC_POSSELL=n
 
+# Parameters below are different from default values of ORCHIDEE_2_0.
+# These values correspond to the previous default values and were used 
+# during developement of ORCHIDEE-CN
+#**************************************************************************
+
+
+# Parameters below are different from default values of ORCHIDEE_2_0 
+# because they were tuned for the developements of ORCHIDEE-CN
+#**************************************************************************
+MOIAVAIL_ALWAYS_GRASS=0.4
+MOIAVAIL_ALWAYS_TREE=0.8
+TCST_SNOWA=3
+
+#PHENO_GDD_CRIT_C(K)
+PHENO_GDD_CRIT_C__00012=360
+PHENO_GDD_CRIT_C__00013=450
+
+#HUM_MIN_TIME(days)
+HUM_MIN_TIME__00012=50
+
+#GDD_SENESCENCE(K)
+GDD_SENESCENCE__00012=1600
+
+#ALLOC_MIN(nan)
+ALLOC_MIN__00007=0.35000
+ALLOC_MIN__00008=0.70
+ALLOC_MIN__00009=0.20
+
+
+# File and variable name for nitrogen input files
+#**************************************************************************
+Nammonium_FILE = NONE
+Nammonium_VAR = nhx
+
+Nnitrate_FILE = NONE
+Nnitrate_VAR = noy
+
+WETNHX_FILE= wetnhx.nc
+WETNHX_VAR=wetnhx
+
+DRYNHX_FILE= drynhx.nc
+DRYNHX_VAR=drynhx
+
+WETNOY_FILE= wetnoy.nc
+WETNOY_VAR=wetnoy
+
+DRYNOY_FILE= drynoy.nc
+DRYNOY_VAR=drynoy
+
+Nfert_FILE = NONE
+Nfert_VAR = nfer
+
+Nmanure_FILE = NONE
+Nmanure_VAR = Nmanure
+
+Nfert_cropland_FILE = NONE
+Nfert_cropland_VAR = nfer
+
+Nfert_cropC3_FILE = fertc3.nc
+Nfert_cropC3_VAR = fertc3
+
+Nfert_cropC4_FILE = fertc4.nc
+Nfert_cropC4_VAR = fertc4
+
+Nmanure_cropland_FILE = NONE
+Nmanure_cropland_VAR = Nmanure
+
+Nfert_pasture_FILE = NONE
+Nfert_pasture_VAR = Nfer
+
+Nmanure_pasture_FILE = NONE
+Nmanure_pasture_VAR = Nmanure
+
+Nbnf_FILE= bnf.nc
+Nbnf_VAR= BNF_MGN_PERM2_PERYR