Index: CONFIG/UNIFORM/v6/LMDZREPR_v6/EXPERIMENTS/LMDZREPR/amip/COMP/lmdz.card
===================================================================
--- CONFIG/UNIFORM/v6/LMDZREPR_v6/EXPERIMENTS/LMDZREPR/amip/COMP/lmdz.card	(revision 5850)
+++ CONFIG/UNIFORM/v6/LMDZREPR_v6/EXPERIMENTS/LMDZREPR/amip/COMP/lmdz.card	(revision 5856)
@@ -58,6 +58,6 @@
 
 [InitialStateFiles]
-List=   (/ccc/store/cont003/gen6178/marchand/INPUT/START/L79x144x142/start_eORCA1.2xLMD144x142x79_o2a_v3.chimie.nc, start.nc),\
-        (/ccc/store/cont003/gen6178/marchand/INPUT/START/L79x144x142/startphy_eORCA1.2xLMD144x142x79_o2a_v3.nc, startphy.nc)
+List=   (${R_IN}/CHM/REPROBUS144142-L79/START/L79x144x142/start_eORCA1.2xLMD144x142x79_o2a_v3.chimie.nc, start.nc),\
+        (${R_IN}/CHM/REPROBUS144142-L79/START/L79x144x142/startphy_eORCA1.2xLMD144x142x79_o2a_v3.nc, startphy.nc)
 
 [BoundaryFiles]
@@ -66,21 +66,18 @@
         (${R_IN}/ATM/${RESOL_ATM}/AR5/HISTORIQUE/aerosols_11YearsClim_${year}_v5.nc,              aerosols${year}.nc),\
         (${R_IN}/ATM/OZONE/UReading/historical.v20160711.v2/interpol/${RESOL_ATM_XY}/climoz_LMDZ_${year}.nc, climoz_LMDZ.nc),\
-        (${R_IN}/ATM/SOLAR/CMIP6/v3.1/Historical/solarforcing_daily_3.1_6bands_${year}.nc,        solarforcing.nc),\
+        (${R_IN}/ATM/SOLAR/CCMI-2022/Historical/daily/solarforcing_daily_3.2_6bands_${year}.nc,        solarforcing.nc),\
         (${R_IN}/ATM/STRATAERO/CMIP6/v1/${RESOL_ATM_XY}/L${RESOL_ATM_Z}/taulwstrat.2D.${year}.nc, taulwstrat.2D.nc),\
         (${R_IN}/ATM/STRATAERO/CMIP6/v1/${RESOL_ATM_XY}/L${RESOL_ATM_Z}/tauswstrat.2D.${year}.nc, tauswstrat.2D.nc)
-#        (/ccc/work/cont003/igcmg/igcmg/IGCM/ATM/NUDGE_FILES/ERAI/144x142/monthly/AN${year}/ta_ecmwf_${year}${month}.nc, T.nc),\
-#        (/ccc/work/cont003/igcmg/igcmg/IGCM/ATM/NUDGE_FILES/ERAI/144x142/monthly/AN${year}/u_ecmwf_${year}${month}.nc, u.nc),\
-#        (/ccc/work/cont003/igcmg/igcmg/IGCM/ATM/NUDGE_FILES/ERAI/144x142/monthly/AN${year}/v_ecmwf_${year}${month}.nc, v.nc)
 
 
 # Note: the SOLARANDVOLCANOES.txt is only used for LMDZ_Physics=AP and NPv3.2 (if ok_suntime_rrtm=n)
 # Add the following file for LMDZ_Physics=AP (${R_IN}/ATM/IPCC_AR5/HISTORIQUE/SOLARANDVOLCANOES_1610_2008.txt, SOLARANDVOLCANOES.txt)
-ListNonDel= (${R_IN}/ATM/GHG/CMIP6/historical/CO2_CMIP6_0000_2014.txt, CO2.txt),\
-            (${R_IN}/ATM/GHG/CMIP6/historical/CH4_CMIP6_0000_2014.txt, CH4.txt),\
-            (${R_IN}/ATM/GHG/CMIP6/historical/N2O_CMIP6_0000_2014.txt, N2O.txt),\
-            (${R_IN}/ATM/GHG/CMIP6/historical/CFC11eq_CMIP6_0000_2014.txt, CFC11.txt),\
-            (${R_IN}/ATM/GHG/CMIP6/historical/CFC12eq_CMIP6_0000_2014.txt, CFC12.txt),\
+ListNonDel= (${R_IN}/ATM/GHG/CCMI-2022/REFD1/CO2_ref-d1_0000-2019.txt, CO2.txt),\
+            (${R_IN}/ATM/GHG/CCMI-2022/REFD1/CH4_ref-d1_0000-2019.txt, CH4.txt),\
+            (${R_IN}/ATM/GHG/CCMI-2022/REFD1/N2O_ref-d1_0000-2019.txt, N2O.txt),\
+            (${R_IN}/ATM/GHG/CCMI-2022/REFD1/HFC134aeq_ref-d1_0000-2019.txt, CFC11.txt),\
+            (${R_IN}/ATM/GHG/CCMI-2022/REFD1/CFC12eq_ref-d1_0000-2019.txt, CFC12.txt),\
             (${R_IN}/ATM/${RESOL_ATM}/AR5/HISTORIQUE/aerosols_11YearsClim_1855_v5.nc, aerosols.nat.nc)
-#            (${R_IN}/ATM/AEROSOLS/CMIP6/v1/${RESOL_ATM_XY}/L${RESOL_ATM_Z}/aerosols1850_from_inca.nc, aerosols.nat.nc)
+
 
 [SmoothFiles]
Index: CONFIG/UNIFORM/v6/LMDZREPR_v6/EXPERIMENTS/LMDZREPR/amip/COMP/reprobus.card
===================================================================
--- CONFIG/UNIFORM/v6/LMDZREPR_v6/EXPERIMENTS/LMDZREPR/amip/COMP/reprobus.card	(revision 5850)
+++ CONFIG/UNIFORM/v6/LMDZREPR_v6/EXPERIMENTS/LMDZREPR/amip/COMP/reprobus.card	(revision 5856)
@@ -5,6 +5,4 @@
 
 [UserChoices]
-output_level_species = 1
-output_level_speciesm = 5
 
 [InitialStateFiles]
@@ -12,21 +10,17 @@
 
 [BoundaryFiles]
-List=(/ccc/store/cont003/gen6178/marchand/INPUT/MODELE_2D/AERO/REFCCMI/aer_2D-${yyyymm_m1}15.nc, aerm.nc),\
-     (/ccc/store/cont003/gen6178/marchand/INPUT/MODELE_2D/AERO/REFCCMI/aer_2D-${year}${month}15.nc, aer.nc),\
-     (/ccc/store/cont003/gen6178/marchand/INPUT/MODELE_2D/AERO/REFCCMI/aer_2D-${yyyymm_p1}15.nc, aerp.nc),\
-     (/ccc/store/cont003/gen6178/marchand/INPUT/MODELE_2D/FORC/RCP8.5CCMI_REFC1/forc_2D-${yyyymm_m1}15.nc, forcm.nc),\
-     (/ccc/store/cont003/gen6178/marchand/INPUT/MODELE_2D/FORC/RCP8.5CCMI_REFC1/forc_2D-${year}${month}15.nc, forc.nc),\
-     (/ccc/store/cont003/gen6178/marchand/INPUT/MODELE_2D/FORC/RCP8.5CCMI_REFC1/forc_2D-${yyyymm_p1}15.nc, forcp.nc),\
-     (/ccc/store/cont003/gen6178/marchand/INPUT/TOMCAT_3D/tom_3D-1995${month_m1}.nc, tomm.nc),\
-     (/ccc/store/cont003/gen6178/marchand/INPUT/TOMCAT_3D/tom_3D-1995${month}.nc, tom.nc),\
-     (/ccc/store/cont003/gen6178/marchand/INPUT/TOMCAT_3D/tom_3D-1995${month_p1}.nc, tomp.nc),\
-     (/ccc/store/cont003/gen6178/marchand/INPUT/SOLAR/jstrato/J_ZEXTENDED/jstrato.${year}${month}, jstrato)
+List=(${R_IN}/CHM/REPROBUS144142-L79/INPUT/MODELE_2D_AER/CCMI-2022/REFD1/sad_2D-${yyyymm_m1}15.nc, sadm.nc),\
+     (${R_IN}/CHM/REPROBUS144142-L79/INPUT/MODELE_2D_AER/CCMI-2022/REFD1/sad_2D-${year}${month}15.nc, sad.nc),\
+     (${R_IN}/CHM/REPROBUS144142-L79/INPUT/MODELE_2D_AER/CCMI-2022/REFD1/sad_2D-${yyyymm_p1}15.nc, sadp.nc),\
+     (${R_IN}/CHM/REPROBUS144142-L79/INPUT/MODELE_2D_FORC/CCMI-2022/REFD1/forc_2D-${yyyymm_m1}15.nc, forcm.nc),\
+     (${R_IN}/CHM/REPROBUS144142-L79/INPUT/MODELE_2D_FORC/CCMI-2022/REFD1/forc_2D-${year}${month}15.nc, forc.nc),\
+     (${R_IN}/CHM/REPROBUS144142-L79/INPUT/MODELE_2D_FORC/CCMI-2022/REFD1/forc_2D-${yyyymm_p1}15.nc, forcp.nc),\
+     (${R_IN}/CHM/REPROBUS144142-L79/INPUT/TOMCAT_3D/tom_3D-1995${month_m1}.nc, tomm.nc),\
+     (${R_IN}/CHM/REPROBUS144142-L79/INPUT/TOMCAT_3D/tom_3D-1995${month}.nc, tom.nc),\
+     (${R_IN}/CHM/REPROBUS144142-L79/INPUT/TOMCAT_3D/tom_3D-1995${month_p1}.nc, tomp.nc),\
+     (${R_IN}/CHM/REPROBUS144142-L79/INPUT/SOLAR/jstrato/CCMI-2022/REFD1/txt/jstrato.${year}${month}, jstrato)
 
 
-ListNonDel=(/ccc/store/cont003/gen6178/marchand/INPUT/SOLAR/CCMI/SolarFlux-1950-2011.nc, SolarFlux.nc),\
-           (/ccc/store/cont003/gen6178/marchand/INPUT/GHG_ODS/CCMVal/ghg_RCP85_1765-2500.nc, ghg-ccmval.nc),\
-           (/ccc/store/cont003/gen6178/marchand/INPUT/GHG_ODS/CCMVal/ods_2011-1951-2100new.nc, ods-ccmval.nc),\
-           (/ccc/store/cont003/gen6178/marchand/INPUT/AEROSOL-CCMVAL/hrates.ascii, hrates.ascii),\
-           (/ccc/store/cont003/gen6178/marchand/INPUT/AEROSOL-CCMVAL/sfc_forcing.ascii,sfc_forcing.ascii)
+ListNonDel=()
 
 [SmoothFiles]