Index: /CONFIG/UNIFORM/v6/LMDZREPR_v6/EXPERIMENTS/LMDZREPR/amip/COMP/reprobus.card
===================================================================
--- /CONFIG/UNIFORM/v6/LMDZREPR_v6/EXPERIMENTS/LMDZREPR/amip/COMP/reprobus.card	(revision 5962)
+++ /CONFIG/UNIFORM/v6/LMDZREPR_v6/EXPERIMENTS/LMDZREPR/amip/COMP/reprobus.card	(revision 5963)
@@ -5,4 +5,12 @@
 
 [UserChoices]
+# Specify which output file to activate and at which output_level
+# Use an integer to specify the output level or NONE if to deactivate the file
+# output_level_filename=1     : activate the corresponding file with low output level
+# output_level_filename=10    : activate the corresponding file with high output level
+# output_level_filename=NONE  : the file will not be written
+output_level_reprobus_species  = 5
+output_level_reprobus_speciesm = 5
+
 
 [InitialStateFiles]
@@ -31,9 +39,5 @@
     (${MODIPSL}/modeles/REPROBUS/XML/context_reprobus.xml, .)   ,\
     (${MODIPSL}/modeles/REPROBUS/XML/field_def_reprobus.xml, .) ,\
-    (${MODIPSL}/modeles/REPROBUS/XML/file_def_reprobus.xml, .) ,\
-    (${MODIPSL}/modeles/REPROBUS/XML/ping_LMDZ_AerChemMIP.xml, ping_lmdz.xml)   ,\
-    (${MODIPSL}/modeles/REPROBUS/XML/ping_REPROBUS_CM6.xml, .)   ,\
-    (/ccc/work/cont003/gen2201/fallettl/LMDZREPROBUS_DATA/DataRequest.CMIP6/output.LMDZREPR6.2/IPSL-CM6A-ATM-REPROBUS-LR/histSST-piNTCF/r1i1p1f1/1850/dr2xml_reprobus.xml, .)   ,\
-    (/ccc/work/cont003/gen2201/fallettl/LMDZREPROBUS_DATA/DataRequest.CMIP6/output.LMDZREPR6.2/IPSL-CM6A-ATM-REPROBUS-LR/histSST-piNTCF/r1i1p1f1/1850/dr2xml_LMDZ.xml, dr2xml_lmdz.xml)
+    (${MODIPSL}/modeles/REPROBUS/XML/file_def_reprobus.xml, .)
 
 
Index: /CONFIG/UNIFORM/v6/LMDZREPR_v6/EXPERIMENTS/LMDZREPR/amip/COMP/xios.card
===================================================================
--- /CONFIG/UNIFORM/v6/LMDZREPR_v6/EXPERIMENTS/LMDZREPR/amip/COMP/xios.card	(revision 5962)
+++ /CONFIG/UNIFORM/v6/LMDZREPR_v6/EXPERIMENTS/LMDZREPR/amip/COMP/xios.card	(revision 5963)
@@ -18,5 +18,5 @@
 
 [RestartFiles]
-List=	(NONE)
+List=  (xios_registry.bin, xios_registry.bin, xios_registry.bin)
 
 [OutputText]
Index: /CONFIG/UNIFORM/v6/LMDZREPR_v6/EXPERIMENTS/LMDZREPR/amip/config.card
===================================================================
--- /CONFIG/UNIFORM/v6/LMDZREPR_v6/EXPERIMENTS/LMDZREPR/amip/config.card	(revision 5962)
+++ /CONFIG/UNIFORM/v6/LMDZREPR_v6/EXPERIMENTS/LMDZREPR/amip/config.card	(revision 5963)
@@ -78,5 +78,5 @@
 #D-- ATM -
 [ATM]
-WriteFrequency="1M 1D"
+WriteFrequency=""
 # If config_Restarts_OverRule == 'n' next 4 params are read
 Restart= n
@@ -92,5 +92,5 @@
 [CHM]
 #
-WriteFrequency="1M 1D"
+WriteFrequency=""
 # If config_Restarts_OverRule == 'n' next 4 params are read
 Restart=n
Index: /CONFIG/UNIFORM/v6/LMDZREPR_v6/EXPERIMENTS/LMDZREPR/amip_CMIP6/COMP/reprobus.card
===================================================================
--- /CONFIG/UNIFORM/v6/LMDZREPR_v6/EXPERIMENTS/LMDZREPR/amip_CMIP6/COMP/reprobus.card	(revision 5962)
+++ /CONFIG/UNIFORM/v6/LMDZREPR_v6/EXPERIMENTS/LMDZREPR/amip_CMIP6/COMP/reprobus.card	(revision 5963)
@@ -5,4 +5,13 @@
 
 [UserChoices]
+# Specify which output file to activate and at which output_level
+# Use an integer to specify the output level or NONE if to deactivate the file
+# output_level_filename=1     : activate the corresponding file with low output level
+# output_level_filename=10    : activate the corresponding file with high output level
+# output_level_filename=NONE  : the file will not be written
+output_level_reprobus_species  = NONE
+output_level_reprobus_speciesm = NONE
+
+
 
 [InitialStateFiles]
@@ -34,6 +43,6 @@
     (${MODIPSL}/modeles/REPROBUS/XML/ping_LMDZ_AerChemMIP.xml, ping_lmdz.xml)   ,\
     (${MODIPSL}/modeles/REPROBUS/XML/ping_REPROBUS_CM6.xml, .)   ,\
-    (${R_IN}/CHM/REPROBUS144142-L79/DataRequest.CMIP6/output.LMDZREPR6.2/IPSL-CM6A-ATM-REPROBUS-LR/histSST-piNTCF/r1i1p1f1/1850/dr2xml_reprobus.xml, .)   ,\
-    (${R_IN}/CHM/REPROBUS144142-L79/DataRequest.CMIP6/output.LMDZREPR6.2/IPSL-CM6A-ATM-REPROBUS-LR/histSST-piNTCF/r1i1p1f1/1850/dr2xml_lmdz.xml, .)
+    (/ccc/work/cont003/gen2201/fallettl/LMDZREPROBUS_DATA/DataRequest.CMIP6/output.LMDZREPR6.2/IPSL-CM6A-ATM-REPROBUS-LR/histSST-piNTCF/r1i1p1f1/1956/dr2xml_reprobus.xml, .)   ,\
+    (/ccc/work/cont003/gen2201/fallettl/LMDZREPROBUS_DATA/DataRequest.CMIP6/output.LMDZREPR6.2/IPSL-CM6A-ATM-REPROBUS-LR/histSST-piNTCF/r1i1p1f1/1956/dr2xml_LMDZ.xml, dr2xml_lmdz.xml)
 
 
Index: /CONFIG/UNIFORM/v6/LMDZREPR_v6/EXPERIMENTS/LMDZREPR/amip_CMIP6/COMP/xios.card
===================================================================
--- /CONFIG/UNIFORM/v6/LMDZREPR_v6/EXPERIMENTS/LMDZREPR/amip_CMIP6/COMP/xios.card	(revision 5962)
+++ /CONFIG/UNIFORM/v6/LMDZREPR_v6/EXPERIMENTS/LMDZREPR/amip_CMIP6/COMP/xios.card	(revision 5963)
@@ -18,5 +18,5 @@
 
 [RestartFiles]
-List=	(NONE)
+List=  (xios_registry.bin, xios_registry.bin, xios_registry.bin)
 
 [OutputText]
Index: /CONFIG/UNIFORM/v6/LMDZREPR_v6/GENERAL/DRIVER/reprobus.driver
===================================================================
--- /CONFIG/UNIFORM/v6/LMDZREPR_v6/GENERAL/DRIVER/reprobus.driver	(revision 5962)
+++ /CONFIG/UNIFORM/v6/LMDZREPR_v6/GENERAL/DRIVER/reprobus.driver	(revision 5963)
@@ -20,9 +20,29 @@
     # Include xml files for output configuration if running with workflow CMIP6
     if ( [ X"$( echo ${config_UserChoices_ExpType} | grep CMIP6 )" != "X" ] || [ X${config_Post_dr2xmlIPSL} = XTRUE ] ) ; then
-        #echo '<context id="reprobus" src="./ping_LMDZ_AerChemMIP.xml"/>' >> add.tmp
         echo '<context id="reprobus" src="./ping_REPROBUS_CM6.xml"/>' >> add.tmp
-        #echo '<context id="reprobus" src="./dr2xml_LMDZ.xml"/>' >> add.tmp
         echo '<context id="reprobus" src="./dr2xml_reprobus.xml"/>' >> add.tmp
     fi
+
+
+    ## Activate diagnostic output files and set output_level for each file
+
+    # reprobus_species
+    if [ X${reprobus_UserChoices_output_level_reprobus_species} = X ] || [ X${reprobus_UserChoices_output_level_reprobus_species} = XNONE ] ; then
+    IGCM_comp_modifyXmlFile nonblocker file_def_reprobus.xml species enabled FALSE
+    IGCM_comp_modifyXmlFile nonblocker file_def_reprobus.xml species output_level 0
+    else
+    IGCM_comp_modifyXmlFile nonblocker file_def_reprobus.xml species enabled TRUE
+    IGCM_comp_modifyXmlFile nonblocker file_def_reprobus.xml species output_level ${reprobus_UserChoices_output_level_reprobus_species}
+    fi
+
+    # reprobus_speciesm
+    if [ X${reprobus_UserChoices_output_level_reprobus_speciesm} = X ] || [ X${reprobus_UserChoices_output_level_reprobus_speciesm} = XNONE ] ; then
+    IGCM_comp_modifyXmlFile nonblocker file_def_reprobus.xml speciesm enabled FALSE
+    IGCM_comp_modifyXmlFile nonblocker file_def_reprobus.xml speciesm output_level 0
+    else
+    IGCM_comp_modifyXmlFile nonblocker file_def_reprobus.xml speciesm enabled TRUE
+    IGCM_comp_modifyXmlFile nonblocker file_def_reprobus.xml speciesm output_level ${reprobus_UserChoices_output_level_reprobus_speciesm}
+    fi
+
 
     cp iodef.xml iodef.xml.tmp