Index: CONFIG/UNIFORM/v6/LMDZORINCA_v6.2/EXPERIMENTS/LMDZORINCA/AER/COMP/lmdz.card
===================================================================
--- CONFIG/UNIFORM/v6/LMDZORINCA_v6.2/EXPERIMENTS/LMDZORINCA/AER/COMP/lmdz.card	(revision 5999)
+++ CONFIG/UNIFORM/v6/LMDZORINCA_v6.2/EXPERIMENTS/LMDZORINCA/AER/COMP/lmdz.card	(revision 6001)
@@ -95,4 +95,5 @@
 	(${SUBMIT_DIR}/PARAM/traceur.def_h2o_${LMDZ_Physics}, traceur.def), \
         (${MODIPSL}/modeles/LMDZ/DefLists/context_lmdz.xml, . ),            \
+        (${MODIPSL}/modeles/LMDZ/DefLists/field_def_cosp1.xml, . ),	    \
         (${MODIPSL}/modeles/LMDZ/DefLists/field_def_lmdz.xml, . ),	    \
         (${MODIPSL}/modeles/LMDZ/DefLists/file_def_histmth_lmdz.xml, . ),   \
Index: CONFIG/UNIFORM/v6/LMDZORINCA_v6.2/EXPERIMENTS/LMDZORINCA/AER_historical/COMP/lmdz.card
===================================================================
--- CONFIG/UNIFORM/v6/LMDZORINCA_v6.2/EXPERIMENTS/LMDZORINCA/AER_historical/COMP/lmdz.card	(revision 5999)
+++ CONFIG/UNIFORM/v6/LMDZORINCA_v6.2/EXPERIMENTS/LMDZORINCA/AER_historical/COMP/lmdz.card	(revision 6001)
@@ -97,4 +97,5 @@
         (${MODIPSL}/modeles/LMDZ/DefLists/context_lmdz.xml, . ),            \
         (${MODIPSL}/modeles/LMDZ/DefLists/field_def_lmdz.xml, . ),          \
+        (${MODIPSL}/modeles/LMDZ/DefLists/field_def_cosp1.xml, . ),	    \
         (${MODIPSL}/modeles/LMDZ/DefLists/file_def_histmth_lmdz.xml, . ),   \
         (${MODIPSL}/modeles/LMDZ/DefLists/file_def_histmthCOSP_lmdz.xml, .),\
Index: CONFIG/UNIFORM/v6/LMDZORINCA_v6.2/EXPERIMENTS/LMDZORINCA/AER_pdControl/COMP/lmdz.card
===================================================================
--- CONFIG/UNIFORM/v6/LMDZORINCA_v6.2/EXPERIMENTS/LMDZORINCA/AER_pdControl/COMP/lmdz.card	(revision 5999)
+++ CONFIG/UNIFORM/v6/LMDZORINCA_v6.2/EXPERIMENTS/LMDZORINCA/AER_pdControl/COMP/lmdz.card	(revision 6001)
@@ -88,4 +88,5 @@
         (${MODIPSL}/modeles/LMDZ/DefLists/context_lmdz.xml, . ),            \
         (${MODIPSL}/modeles/LMDZ/DefLists/field_def_lmdz.xml, . ),          \
+        (${MODIPSL}/modeles/LMDZ/DefLists/field_def_cosp1.xml, . ),	    \
         (${MODIPSL}/modeles/LMDZ/DefLists/file_def_histmth_lmdz.xml, . ),   \
         (${MODIPSL}/modeles/LMDZ/DefLists/file_def_histmthCOSP_lmdz.xml, .),\
Index: CONFIG/UNIFORM/v6/LMDZORINCA_v6.2/EXPERIMENTS/LMDZORINCA/DUSS/COMP/lmdz.card
===================================================================
--- CONFIG/UNIFORM/v6/LMDZORINCA_v6.2/EXPERIMENTS/LMDZORINCA/DUSS/COMP/lmdz.card	(revision 5999)
+++ CONFIG/UNIFORM/v6/LMDZORINCA_v6.2/EXPERIMENTS/LMDZORINCA/DUSS/COMP/lmdz.card	(revision 6001)
@@ -94,4 +94,5 @@
 	(${SUBMIT_DIR}/PARAM/traceur.def_h2o_${LMDZ_Physics}, traceur.def), \
         (${MODIPSL}/modeles/LMDZ/DefLists/context_lmdz.xml, . ),            \
+        (${MODIPSL}/modeles/LMDZ/DefLists/field_def_cosp1.xml, . ),	    \
         (${MODIPSL}/modeles/LMDZ/DefLists/field_def_lmdz.xml, . ),	    \
         (${MODIPSL}/modeles/LMDZ/DefLists/file_def_histmth_lmdz.xml, . ),   \
Index: CONFIG/UNIFORM/v6/LMDZORINCA_v6.2/EXPERIMENTS/LMDZORINCA/GES/COMP/lmdz.card
===================================================================
--- CONFIG/UNIFORM/v6/LMDZORINCA_v6.2/EXPERIMENTS/LMDZORINCA/GES/COMP/lmdz.card	(revision 5999)
+++ CONFIG/UNIFORM/v6/LMDZORINCA_v6.2/EXPERIMENTS/LMDZORINCA/GES/COMP/lmdz.card	(revision 6001)
@@ -96,4 +96,5 @@
 	(${SUBMIT_DIR}/PARAM/traceur.def_h2o_${LMDZ_Physics}, traceur.def), \
         (${MODIPSL}/modeles/LMDZ/DefLists/context_lmdz.xml, . ),            \
+        (${MODIPSL}/modeles/LMDZ/DefLists/field_def_cosp1.xml, . ),	    \
         (${MODIPSL}/modeles/LMDZ/DefLists/field_def_lmdz.xml, . ),	    \
         (${MODIPSL}/modeles/LMDZ/DefLists/file_def_histmth_lmdz.xml, . ),   \
Index: CONFIG/UNIFORM/v6/LMDZORINCA_v6.2/EXPERIMENTS/LMDZORINCA/GES_LR/COMP/lmdz.card
===================================================================
--- CONFIG/UNIFORM/v6/LMDZORINCA_v6.2/EXPERIMENTS/LMDZORINCA/GES_LR/COMP/lmdz.card	(revision 5999)
+++ CONFIG/UNIFORM/v6/LMDZORINCA_v6.2/EXPERIMENTS/LMDZORINCA/GES_LR/COMP/lmdz.card	(revision 6001)
@@ -97,4 +97,5 @@
         (${MODIPSL}/modeles/LMDZ/DefLists/context_lmdz.xml, . ),            \
         (${MODIPSL}/modeles/LMDZ/DefLists/field_def_lmdz.xml, . ),          \
+        (${MODIPSL}/modeles/LMDZ/DefLists/field_def_cosp1.xml, . ),	    \
         (${MODIPSL}/modeles/LMDZ/DefLists/file_def_histmth_lmdz.xml, . ),   \
         (${MODIPSL}/modeles/LMDZ/DefLists/file_def_histmthCOSP_lmdz.xml, .),\
Index: CONFIG/UNIFORM/v6/LMDZORINCA_v6.2/EXPERIMENTS/LMDZORINCA/NAS_LR/COMP/lmdz.card
===================================================================
--- CONFIG/UNIFORM/v6/LMDZORINCA_v6.2/EXPERIMENTS/LMDZORINCA/NAS_LR/COMP/lmdz.card	(revision 5999)
+++ CONFIG/UNIFORM/v6/LMDZORINCA_v6.2/EXPERIMENTS/LMDZORINCA/NAS_LR/COMP/lmdz.card	(revision 6001)
@@ -100,4 +100,5 @@
         (${MODIPSL}/modeles/LMDZ/DefLists/context_lmdz.xml, . ),            \
         (${MODIPSL}/modeles/LMDZ/DefLists/field_def_lmdz.xml, . ),	    \
+        (${MODIPSL}/modeles/LMDZ/DefLists/field_def_cosp1.xml, . ),	    \
         (${MODIPSL}/modeles/LMDZ/DefLists/file_def_histmth_lmdz.xml, . ),   \
         (${MODIPSL}/modeles/LMDZ/DefLists/file_def_histmthCOSP_lmdz.xml, .),\
Index: CONFIG/UNIFORM/v6/LMDZORINCA_v6.2/EXPERIMENTS/LMDZORINCA/NMHC/COMP/lmdz.card
===================================================================
--- CONFIG/UNIFORM/v6/LMDZORINCA_v6.2/EXPERIMENTS/LMDZORINCA/NMHC/COMP/lmdz.card	(revision 5999)
+++ CONFIG/UNIFORM/v6/LMDZORINCA_v6.2/EXPERIMENTS/LMDZORINCA/NMHC/COMP/lmdz.card	(revision 6001)
@@ -96,4 +96,5 @@
         (${MODIPSL}/modeles/LMDZ/DefLists/context_lmdz.xml, . ),            \
         (${MODIPSL}/modeles/LMDZ/DefLists/field_def_lmdz.xml, . ),	    \
+        (${MODIPSL}/modeles/LMDZ/DefLists/field_def_cosp1.xml, . ),	    \
         (${MODIPSL}/modeles/LMDZ/DefLists/file_def_histmth_lmdz.xml, . ),   \
         (${MODIPSL}/modeles/LMDZ/DefLists/file_def_histmthCOSP_lmdz.xml, .),\
Index: CONFIG/UNIFORM/v6/LMDZORINCA_v6.2/EXPERIMENTS/LMDZORINCA/NMHC_AER/COMP/lmdz.card
===================================================================
--- CONFIG/UNIFORM/v6/LMDZORINCA_v6.2/EXPERIMENTS/LMDZORINCA/NMHC_AER/COMP/lmdz.card	(revision 5999)
+++ CONFIG/UNIFORM/v6/LMDZORINCA_v6.2/EXPERIMENTS/LMDZORINCA/NMHC_AER/COMP/lmdz.card	(revision 6001)
@@ -96,4 +96,5 @@
         (${MODIPSL}/modeles/LMDZ/DefLists/context_lmdz.xml, . ),            \
         (${MODIPSL}/modeles/LMDZ/DefLists/field_def_lmdz.xml, . ),	    \
+        (${MODIPSL}/modeles/LMDZ/DefLists/field_def_cosp1.xml, . ),	    \
         (${MODIPSL}/modeles/LMDZ/DefLists/file_def_histmth_lmdz.xml, . ),   \
         (${MODIPSL}/modeles/LMDZ/DefLists/file_def_histmthCOSP_lmdz.xml, .),\
Index: CONFIG/UNIFORM/v6/LMDZORINCA_v6.2/EXPERIMENTS/LMDZORINCA/NMHC_AER_S/COMP/lmdz.card
===================================================================
--- CONFIG/UNIFORM/v6/LMDZORINCA_v6.2/EXPERIMENTS/LMDZORINCA/NMHC_AER_S/COMP/lmdz.card	(revision 5999)
+++ CONFIG/UNIFORM/v6/LMDZORINCA_v6.2/EXPERIMENTS/LMDZORINCA/NMHC_AER_S/COMP/lmdz.card	(revision 6001)
@@ -96,4 +96,5 @@
         (${MODIPSL}/modeles/LMDZ/DefLists/context_lmdz.xml, . ),            \
         (${MODIPSL}/modeles/LMDZ/DefLists/field_def_lmdz.xml, . ),	    \
+        (${MODIPSL}/modeles/LMDZ/DefLists/field_def_cosp1.xml, . ),	    \
         (${MODIPSL}/modeles/LMDZ/DefLists/file_def_histmth_lmdz.xml, . ),   \
         (${MODIPSL}/modeles/LMDZ/DefLists/file_def_histmthCOSP_lmdz.xml, .),\