Index: CONFIG/UNIFORM/v6/LMDZREPR_v6/EXPERIMENTS/LMDZREPR/amip_CMIP6/COMP/lmdz.card
===================================================================
--- CONFIG/UNIFORM/v6/LMDZREPR_v6/EXPERIMENTS/LMDZREPR/amip_CMIP6/COMP/lmdz.card	(revision 6013)
+++ CONFIG/UNIFORM/v6/LMDZREPR_v6/EXPERIMENTS/LMDZREPR/amip_CMIP6/COMP/lmdz.card	(revision 6017)
@@ -73,6 +73,6 @@
         (${R_IN}/ATM/SOLAR/CCMI-2022/Historical/daily/solarforcing_daily_3.2_6bands_${year}.nc,        solarforcing.nc),\
         (${R_IN}/ATM/STRATAERO/CMIP6/v4/${RESOL_ATM_XY}/L${RESOL_ATM_Z}/taulwstrat.2D.${year}.nc, taulwstrat.2D.nc),\
-        (${R_IN}/ATM/STRATAERO/CMIP6/v4/${RESOL_ATM_XY}/L${RESOL_ATM_Z}/tauswstrat.2D.${year}.nc, tauswstrat.2D.nc)
-
+        (${R_IN}/ATM/STRATAERO/CMIP6/v4/${RESOL_ATM_XY}/L${RESOL_ATM_Z}/tauswstrat.2D.${year}.nc, tauswstrat.2D.nc),\
+        (${R_IN}/CMIP6/${config_UserChoices_LongName}/${config_UserChoices_ModelName}/${config_UserChoices_ExperimentName}/${config_UserChoices_Member}/${year}/dr2xml_LMDZ.xml, dr2xml_lmdz.xml)
 
 # Note: the SOLARANDVOLCANOES.txt is only used for LMDZ_Physics=AP and NPv3.2 (if ok_suntime_rrtm=n)
@@ -138,11 +138,12 @@
         (histhf3hm.nc,     ${R_OUT_ATM_O_H}/${PREFIX}_3H_histhf3hm.nc,     NONE)
 
+
 [Post_1M_histmth]
 Patches= ()
 GatherWithInternal = (lon, lat, presnivs, time_counter, time_centered, time_centered_bounds, aire)
-TimeSeriesVars2D = (bils, cldh, cldl, cldm, cldq, cldt, evap, flat, ftime_con, iwp, lwp, LWdnSFC, LWdnSFCclr, LWupSFC, LWupSFCclr, LWdn200, LWdn200clr, LWup200, LWup200clr, precip, prw, pluc, psol, q2m, rh2m, sens, sicf, slp, snow, soll0, soll, sols0, sols, SWdnSFC, SWupSFC, SWup200, SWdnTOA, SWupTOA, SWdn200, SWdnSFCclr, SWupSFCclr, SWupTOAclr, t2m, ave_t2m_daily_max, ave_t2m_daily_min, taux, taux_ter, taux_sic, taux_lic, taux_oce, tauy, tauy_ter, tauy_sic, tauy_lic, tauy_oce, lat_ter, lat_sic, lat_lic, lat_oce, nettop, pbase, ptop, topl0, topl, tops0, tops, topswad, topswai, tsol, tsol_ter, tsol_lic, tsol_oce, tsol_sic , u10m, u500, v10m, v500, w500, pourc_ter, pourc_oce, pourc_sic, pourc_lic, wind10m, od550aer, od550lt1aer, od550_STRAT, loadoa, loadbc, loadso4, loaddust, loadss, sconcoa, sconcbc, sconcso4, sconcdust, sconcss, reffclwtop, cldncl, swtoaas_ant, swtoacs_ant, swtoacf_ant, swsrfas_ant, swsrfcs_ant, swsrfcf_ant, swtoaas_nat, swtoacs_nat, swtoacf_nat, swsrfas_nat, swsrfcs_nat, swsrfcf_nat, solswai, solswad, swtoacf_zero, swsrfcf_zero, R_ecc, R_peri, R_incl, solaire, rsun1, co2_ppm, CH4_ppb, N2O_ppb, CFC11_ppt, CFC12_ppt, colO3_strat, colO3_trop)
-ChunckJob2D = OFF
-TimeSeriesVars3D = (upwd, lwcon, iwcon, lcc3dcon, lcc3dstra, temp, theta, ovap, ovapinit, geop, vitu, vitv, vitw, pres, rneb, rnebcon, rhum, mc, paprs, scdnc, ec550aer, concoa, concbc, concso4, concss, concdust, reffclws, reffclwc, tnt, dtdyn, dtphy, dtlschr, tntr, tntscpbl, tnhus, dqdyn, dqvdf, tnhusscpbl, dqphy, evu, mcd)
-ChunckJob3D = OFF
+TimeSeriesVars2D = (bils, cldh, cldl, cldm, cldq, cldt, evap, iwp, lwp, LWdnSFC, LWdnSFCclr, LWupSFC, LWupSFCclr, precip, prw, pluc, psol, q2m, sens, sicf, slp, snow, soll0, soll, sols0, sols, SWdnSFC, SWupSFC, SWdnTOA, SWupTOA, SWdnSFCclr, SWupSFCclr, SWupTOAclr, t2m, ave_t2m_daily_max, ave_t2m_daily_min, taux, taux_ter, taux_sic, taux_lic, taux_oce, tauy, tauy_ter, tauy_sic, tauy_lic, tauy_oce, lat_ter, lat_sic, lat_lic, lat_oce, nettop, pbase, ptop, topl0, topl, tops0, tops, topswad, tsol, tsol_ter, tsol_lic, tsol_oce, tsol_sic , u10m, v10m, pourc_ter, pourc_oce, pourc_sic, pourc_lic, wind10m, R_ecc, R_peri, R_incl, solaire, rsun1, co2_ppm, CH4_ppb, N2O_ppb, CFC11_ppt, CFC12_ppt)
+ChunckJob2D = NONE
+TimeSeriesVars3D = (temp, ovap, vitu, vitv, vitw, pres, rneb, rhum)
+ChunckJob3D = NONE
 Seasonal=OFF
 
@@ -151,7 +152,7 @@
 GatherWithInternal = (lon, lat, pressure2, height, sza, time_counter, time_centered, time_centered_bounds, aire)
 TimeSeriesVars2D = (cllcalipso, clmcalipso, clhcalipso, cltcalipso, tclisccp, albisccp, ctpisccp)
-ChunckJob2D = OFF
+ChunckJob2D = NONE
 TimeSeriesVars3D = (clcalipso, clisccp2_c01, clisccp2_c02, clisccp2_c03, clisccp2_c04, clisccp2_c05, clisccp2_c06, clisccp2_c07, parasol_refl)
-ChunckJob3D = OFF
+ChunckJob3D = NONE
 Seasonal=OFF
 
@@ -163,5 +164,5 @@
 TimeSeriesVars3D = (ta, tro3, zg, hus, hur, ua, va, wap)
 ChunckJob3D = NONE
-Seasonal=ON
+Seasonal=OFF
 
 [Post_1D_histday]
@@ -169,7 +170,7 @@
 GatherWithInternal = (lon, lat, presnivs, time_counter, time_centered, time_centered_bounds)
 TimeSeriesVars2D = (bils, cldh, cldl, cldm, cldq, cldt, evap, flat, precip, pluc, plul, prw, psol, q2m, sens, sicf, slp, soll, sols, snow, SWdnSFC, t2m, t2m_max, t2m_min, topl, tops, tsol, u10m, v10m, wind10m, wind10max)
-ChunckJob2D = 50Y
+ChunckJob2D = NONE
 TimeSeriesVars3D = (lwcon, iwcon, mc, rhum, rneb, temp, theta, ovap, geop, vitu, vitv, vitw, pres, paprs,O3,OX,N2O,CH4,H2Orep,NOy,HNO3,N2O5,Clx,O3I,H2SO4,HCl,ClONO2,AgeAire)
-ChunckJob3D = OFF
+ChunckJob3D = NONE
 Seasonal=OFF
 
@@ -178,7 +179,7 @@
 GatherWithInternal = (lon, lat, pressure2, height, sza, time_counter, time_centered, time_centered_bounds)
 TimeSeriesVars2D = (cllcalipso, clmcalipso, clhcalipso, cltcalipso, tclisccp, albisccp, ctpisccp)
-ChunckJob2D = OFF
+ChunckJob2D = NONE
 TimeSeriesVars3D = (clcalipso, clisccp2_c01, clisccp2_c02, clisccp2_c03, clisccp2_c04, clisccp2_c05, clisccp2_c06, clisccp2_c07, parasol_refl)
-ChunckJob3D = OFF
+ChunckJob3D = NONE
 Seasonal=OFF
 
@@ -189,5 +190,5 @@
 ChunckJob2D = NONE
 TimeSeriesVars3D = (ta, zg, hus, hur, ua, va, wap)
-ChunckJob3D = 10Y
+ChunckJob3D = NONE
 Seasonal=OFF
 
@@ -196,7 +197,7 @@
 GatherWithInternal = (lon, lat, presnivs, time_counter, time_centered, time_centered_bounds)
 TimeSeriesVars2D = (cldt, psol, q2m, slp, precip, pluc, plul, t2m, tsol, u10m, v10m)
-ChunckJob2D = 50Y
+ChunckJob2D = NONE
 TimeSeriesVars3D = (temp, theta, ovap, vitu, vitv)
-ChunckJob3D = OFF
+ChunckJob3D = NONE
 Seasonal=OFF
 
Index: CONFIG/UNIFORM/v6/LMDZREPR_v6/EXPERIMENTS/LMDZREPR/amip_CMIP6/COMP/reprobus.card
===================================================================
--- CONFIG/UNIFORM/v6/LMDZREPR_v6/EXPERIMENTS/LMDZREPR/amip_CMIP6/COMP/reprobus.card	(revision 6013)
+++ CONFIG/UNIFORM/v6/LMDZREPR_v6/EXPERIMENTS/LMDZREPR/amip_CMIP6/COMP/reprobus.card	(revision 6017)
@@ -11,5 +11,5 @@
 # output_level_filename=NONE  : the file will not be written
 output_level_reprobus_species  = 5
-output_level_reprobus_speciesm = 1
+output_level_reprobus_speciesm = NONE
 
 
@@ -43,6 +43,5 @@
     (${MODIPSL}/modeles/REPROBUS/XML/ping_LMDZ_AerChemMIP.xml, ping_lmdz.xml)   ,\
     (${MODIPSL}/modeles/REPROBUS/XML/ping_REPROBUS_CM6.xml, .)   ,\
-    (/ccc/work/cont003/gen2201/fallettl/LMDZREPROBUS_DATA/DataRequest.CMIP6/output.LMDZREPR6.2/IPSL-CM6A-ATM-REPROBUS-LR/histSST-piNTCF/r1i1p1f1/1956/dr2xml_reprobus.xml, .)   ,\
-    (/ccc/work/cont003/gen2201/fallettl/LMDZREPROBUS_DATA/DataRequest.CMIP6/output.LMDZREPR6.2/IPSL-CM6A-ATM-REPROBUS-LR/histSST-piNTCF/r1i1p1f1/1956/dr2xml_LMDZ.xml, dr2xml_lmdz.xml)
+    (${R_IN}/CMIP6/${config_UserChoices_LongName}/${config_UserChoices_ModelName}/${config_UserChoices_ExperimentName}/${config_UserChoices_Member}/${year}/dr2xml_reprobus.xml, .)
 
 
@@ -63,5 +62,5 @@
 TimeSeriesVars2D = (colo3)
 ChunckJob2D = NONE
-TimeSeriesVars3D = (CH4, H2Orep, NO2, N2O, HNO3, N2O5, NO, NOy, O3, HBr, BrONO2, BrO, HOBr, BrCl, Br, HCl, ClONO2, ClO, Cl2O2, HOCl, OClO, Cl)
+TimeSeriesVars3D = (temp, CH4, H2Orep, NO2, N2O, HNO3, N2O5, NO, NOy, O3, HBr, BrONO2, BrO, HOBr, BrCl, Br, HCl, ClONO2, ClO, Cl2O2, HOCl, OClO, Cl)
 ChunckJob3D = NONE
 Seasonal=OFF
Index: CONFIG/UNIFORM/v6/LMDZREPR_v6/EXPERIMENTS/LMDZREPR/amip_CMIP6/config.card
===================================================================
--- CONFIG/UNIFORM/v6/LMDZREPR_v6/EXPERIMENTS/LMDZREPR/amip_CMIP6/config.card	(revision 6013)
+++ CONFIG/UNIFORM/v6/LMDZREPR_v6/EXPERIMENTS/LMDZREPR/amip_CMIP6/config.card	(revision 6017)
@@ -9,8 +9,10 @@
 JobName=LMDZREPR01
 #----- Short Name of Experiment
-ExperimentName=amip
+ExperimentName=histSST-piNTCF
 #----- DEVT TEST PROD
-SpaceName=TEST
-LongName="LMDZ REPROBUS configuration"
+SpaceName=PROD
+LongName="LMDZREPR6.2"
+Member=r1i1p1f1
+ModelName=IPSL-CM6A-ATM-LR-REPROBUS
 TagName=LMDZREPR
 #D- Choice of experiment in EXPERIEMENTS directory
@@ -22,5 +24,7 @@
 #-- "YYYY-MM-DD"
 DateBegin=1956-01-01
-DateEnd=1956-01-31
+DateEnd=1959-12-31
+#DateBegin=1960-01-01
+#DateEnd=2018-12-31
 #============================
 #-- 1Y, 1M, 5D, 1D Period Length for one execution
@@ -118,8 +122,8 @@
 [Post]
 #D- PackFrequency determines the frequency of pack submission
-PackFrequency=1M
+PackFrequency=12M
 #D- TimeSeriesFreqency determines the frequency of post-processing submission
 #D- Set NONE to deactivate the creation of all time series 
-TimeSeriesFrequency=1M
+TimeSeriesFrequency=1Y
 #D- SeasonalFrequency determines the length for each seasonal average
 #D- Set NONE to deactivate the creation of all seasonal avereage
Index: CONFIG/UNIFORM/v6/LMDZREPR_v6/GENERAL/POST/monitoring01_reprobus.cfg
===================================================================
--- CONFIG/UNIFORM/v6/LMDZREPR_v6/GENERAL/POST/monitoring01_reprobus.cfg	(revision 6013)
+++ CONFIG/UNIFORM/v6/LMDZREPR_v6/GENERAL/POST/monitoring01_reprobus.cfg	(revision 6017)
@@ -34,5 +34,5 @@
 ##################################################################################################################
 
-color=AECDFF
+color=F0D5F4
 smooth=12
 FreqTS=DA
@@ -40,5 +40,79 @@
 #  field | files patterns | files additionnal | operations | title | units | calcul of area
 #-----------------------------------------------------------------------------------------------------------------
-o3_col_global    | "colo3"                       | "" | "colo3[d=1]"               | "colo3"         | "DU"     | "area[d=1]"   
+#### colo3
+colO3_global    | "colo3"                       | "" | "colo3[d=1]"               | "colo3"         | "DU"     | "area[d=1]"   
+colO3_lat_north | "colo3"                       | "" | "colo3[y=60:90@ave,x=-180:180@ave,d=1]"               | "colo3"         | "DU"     | "area[d=1]"
+colO3_lat_midn  | "colo3"                       | "" | "colo3[y=15:60@ave,x=-180:180@ave,d=1]"               | "colo3"         | "DU"     | "area[d=1]"
+colO3_lat_eq    | "colo3"                       | "" | "colo3[y=-15:15@ave,x=-180:180@ave,d=1]"              | "colo3"         | "DU"     | "area[d=1]"
+colO3_lat_mids  | "colo3"                       | "" | "colo3[y=-60:-15@ave,x=-180:180@ave,d=1]"             | "colo3"         | "DU"     | "area[d=1]"
+colO3_lat_south | "colo3"                       | "" | "colo3[y=-90:-60@ave,x=-180:180@ave,d=1]"             | "colo3"         | "DU"     | "area[d=1]"
+
+#### H2Orep
+h2orep_lat_north_150  | "H2Orep"                       | "" | "H2Orep[y=60:90@ave,x=-180:180@ave,z=15000,d=1]"            | "H2Orep"         | "-"     | "area[d=1]"
+h2orep_lat_north_50   | "H2Orep"                       | "" | "H2Orep[y=60:90@ave,x=-180:180@ave,z=5000,d=1]"             | "H2Orep"         | "-"     | "area[d=1]"
+#h2orep_lat_north_10   | "H2Orep"                       | "" | "H2Orep[y=60:90@ave,x=-180:180@ave,z=1000,d=1]"             | "H2Orep"         | "-"     | "area[d=1]"
+#h2orep_lat_north_1    | "H2Orep"                       | "" | "H2Orep[y=60:90@ave,x=-180:180@ave,z=100,d=1]"              | "H2Orep"         | "-"     | "area[d=1]"
+#h2orep_lat_midn_150   | "H2Orep"                       | "" | "H2Orep[y=15:60@ave,x=-180:180@ave,z=15000,d=1]"           | "H2Orep"         | "-"     | "area[d=1]"
+h2orep_lat_midn_50    | "H2Orep"                       | "" | "H2Orep[y=15:60@ave,x=-180:180@ave,z=5000,d=1]"            | "H2Orep"         | "-"     | "area[d=1]"
+#h2orep_lat_midn_10    | "H2Orep"                       | "" | "H2Orep[y=15:60@ave,x=-180:180@ave,z=1000,d=1]"            | "H2Orep"         | "-"     | "area[d=1]"
+#h2orep_lat_midn_1     | "H2Orep"                       | "" | "H2Orep[y=15:60@ave,x=-180:180@ave,z=100,d=1]"             | "H2Orep"         | "-"     | "area[d=1]"
+h2orep_lat_eq_150    | "H2Orep"                       | "" | "H2Orep[y=-15:15@ave,x=-180:180@ave,z=15000,d=1]"          | "H2Orep"         | "-"     | "area[d=1]"
+h2orep_lat_eq_50     | "H2Orep"                       | "" | "H2Orep[y=-15:15@ave,x=-180:180@ave,z=5000,d=1]"           | "H2Orep"         | "-"     | "area[d=1]"
+h2orep_lat_eq_10     | "H2Orep"                       | "" | "H2Orep[y=-15:15@ave,x=-180:180@ave,z=1000,d=1]"           | "H2Orep"         | "-"     | "area[d=1]"
+h2orep_lat_eq_1      | "H2Orep"                       | "" | "H2Orep[y=-15:15@ave,x=-180:180@ave,z=100,d=1]"            | "H2Orep"         | "-"     | "area[d=1]"
+#h2orep_lat_mids_150  | "H2Orep"                       | "" | "H2Orep[y=-60:-15@ave,x=-180:180@ave,z=15000,d=1]"         | "H2Orep"         | "-"     | "area[d=1]"
+h2orep_lat_mids_50   | "H2Orep"                       | "" | "H2Orep[y=-60:-15@ave,x=-180:180@ave,z=5000,d=1]"          | "H2Orep"         | "-"     | "area[d=1]"
+#h2orep_lat_mids_10   | "H2Orep"                       | "" | "H2Orep[y=-60:-15@ave,x=-180:180@ave,z=1000,d=1]"          | "H2Orep"         | "-"     | "area[d=1]"
+#h2orep_lat_mids_1    | "H2Orep"                       | "" | "H2Orep[y=-60:-15@ave,x=-180:180@ave,z=100,d=1]"           | "H2Orep"         | "-"     | "area[d=1]"
+h2orep_lat_south_150 | "H2Orep"                       | "" | "H2Orep[y=-90:-60@ave,x=-180:180@ave,z=15000,d=1]"         | "H2Orep"         | "-"     | "area[d=1]"
+h2orep_lat_south_50  | "H2Orep"                       | "" | "H2Orep[y=-90:-60@ave,x=-180:180@ave,z=5000,d=1]"          | "H2Orep"         | "-"     | "area[d=1]"
+#h2orep_lat_south_10  | "H2Orep"                       | "" | "H2Orep[y=-90:-60@ave,x=-180:180@ave,z=1000,d=1]"          | "H2Orep"         | "-"     | "area[d=1]"
+#h2orep_lat_south_1   | "H2Orep"                       | "" | "H2Orep[y=-90:-60@ave,x=-180:180@ave,z=100,d=1]"           | "H2Orep"         | "-"     | "area[d=1]"
+
+#### O3
+o3_lat_north_150  | "O3"                       | "" | "O3[y=60:90@ave,x=-180:180@ave,z=15000,d=1]"            | "Ozone"         | "-"     | "area[d=1]"
+o3_lat_north_50   | "O3"                       | "" | "O3[y=60:90@ave,x=-180:180@ave,z=5000,d=1]"             | "Ozone"         | "-"     | "area[d=1]"
+#o3_lat_north_10   | "O3"                       | "" | "O3[y=60:90@ave,x=-180:180@ave,z=1000,d=1]"             | "Ozone"         | "-"     | "area[d=1]"
+#o3_lat_north_1    | "O3"                       | "" | "O3[y=60:90@ave,x=-180:180@ave,z=100,d=1]"              | "Ozone"         | "-"     | "area[d=1]"
+#o3_lat_midn_150   | "O3"                       | "" | "O3[y=15:60@ave,x=-180:180@ave,z=15000,d=1]"           | "Ozone"         | "-"     | "area[d=1]"
+o3_lat_midn_50    | "O3"                       | "" | "O3[y=15:60@ave,x=-180:180@ave,z=5000,d=1]"            | "Ozone"         | "-"     | "area[d=1]"
+#o3_lat_midn_10    | "O3"                       | "" | "O3[y=15:60@ave,x=-180:180@ave,z=1000,d=1]"            | "Ozone"         | "-"     | "area[d=1]"
+#o3_lat_midn_1     | "O3"                       | "" | "O3[y=15:60@ave,x=-180:180@ave,z=100,d=1]"             | "Ozone"         | "-"     | "area[d=1]"
+o3_lat_eq_150    | "O3"                       | "" | "O3[y=-15:15@ave,x=-180:180@ave,z=15000,d=1]"          | "Ozone"         | "-"     | "area[d=1]"
+o3_lat_eq_50     | "O3"                       | "" | "O3[y=-15:15@ave,x=-180:180@ave,z=5000,d=1]"           | "Ozone"         | "-"     | "area[d=1]"
+o3_lat_eq_10     | "O3"                       | "" | "O3[y=-15:15@ave,x=-180:180@ave,z=1000,d=1]"           | "Ozone"         | "-"     | "area[d=1]"
+o3_lat_eq_1      | "O3"                       | "" | "O3[y=-15:15@ave,x=-180:180@ave,z=100,d=1]"            | "Ozone"         | "-"     | "area[d=1]"
+#o3_lat_mids_150  | "O3"                       | "" | "O3[y=-60:-15@ave,x=-180:180@ave,z=15000,d=1]"         | "Ozone"         | "-"     | "area[d=1]"
+o3_lat_mids_50   | "O3"                       | "" | "O3[y=-60:-15@ave,x=-180:180@ave,z=5000,d=1]"          | "Ozone"         | "-"     | "area[d=1]"
+#o3_lat_mids_10   | "O3"                       | "" | "O3[y=-60:-15@ave,x=-180:180@ave,z=1000,d=1]"          | "Ozone"         | "-"     | "area[d=1]"
+#o3_lat_mids_1    | "O3"                       | "" | "O3[y=-60:-15@ave,x=-180:180@ave,z=100,d=1]"           | "Ozone"         | "-"     | "area[d=1]"
+o3_lat_south_150 | "O3"                       | "" | "O3[y=-90:-60@ave,x=-180:180@ave,z=15000,d=1]"         | "Ozone"         | "-"     | "area[d=1]"
+o3_lat_south_50  | "O3"                       | "" | "O3[y=-90:-60@ave,x=-180:180@ave,z=5000,d=1]"          | "Ozone"         | "-"     | "area[d=1]"
+#o3_lat_south_10  | "O3"                       | "" | "O3[y=-90:-60@ave,x=-180:180@ave,z=1000,d=1]"          | "Ozone"         | "-"     | "area[d=1]"
+#o3_lat_south_1   | "O3"                       | "" | "O3[y=-90:-60@ave,x=-180:180@ave,z=100,d=1]"           | "Ozone"         | "-"     | "area[d=1]"
+
+#### Temp
+temp_lat_north_150  | "temp"                       | "" | "temp[y=60:90@ave,x=-180:180@ave,z=15000,d=1]"            | "Temperature"         | "-"     | "area[d=1]"
+temp_lat_north_50   | "temp"                       | "" | "temp[y=60:90@ave,x=-180:180@ave,z=5000,d=1]"             | "Temperature"         | "-"     | "area[d=1]"
+#temp_lat_north_10   | "temp"                       | "" | "temp[y=60:90@ave,x=-180:180@ave,z=1000,d=1]"             | "Temperature"         | "-"     | "area[d=1]"
+#temp_lat_north_1    | "temp"                       | "" | "temp[y=60:90@ave,x=-180:180@ave,z=100,d=1]"              | "Temperature"         | "-"     | "area[d=1]"
+#temp_lat_midn_150   | "temp"                       | "" | "temp[y=15:60@ave,x=-180:180@ave,z=15000,d=1]"           | "Temperature"         | "-"     | "area[d=1]"
+temp_lat_midn_50    | "temp"                       | "" | "temp[y=15:60@ave,x=-180:180@ave,z=5000,d=1]"            | "Temperature"         | "-"     | "area[d=1]"
+#temp_lat_midn_10    | "temp"                       | "" | "temp[y=15:60@ave,x=-180:180@ave,z=1000,d=1]"            | "Temperature"         | "-"     | "area[d=1]"
+#temp_lat_midn_1     | "temp"                       | "" | "temp[y=15:60@ave,x=-180:180@ave,z=100,d=1]"             | "Temperature"         | "-"     | "area[d=1]"
+temp_lat_eq_150    | "temp"                       | "" | "temp[y=-15:15@ave,x=-180:180@ave,z=15000,d=1]"          | "Temperature"         | "-"     | "area[d=1]"
+temp_lat_eq_50     | "temp"                       | "" | "temp[y=-15:15@ave,x=-180:180@ave,z=5000,d=1]"           | "Temperature"         | "-"     | "area[d=1]"
+temp_lat_eq_10     | "temp"                       | "" | "temp[y=-15:15@ave,x=-180:180@ave,z=1000,d=1]"           | "Temperature"         | "-"     | "area[d=1]"
+temp_lat_eq_1      | "temp"                       | "" | "temp[y=-15:15@ave,x=-180:180@ave,z=100,d=1]"            | "Temperature"         | "-"     | "area[d=1]"
+#temp_lat_mids_150  | "temp"                       | "" | "temp[y=-60:-15@ave,x=-180:180@ave,z=15000,d=1]"         | "Temperature"         | "-"     | "area[d=1]"
+temp_lat_mids_50   | "temp"                       | "" | "temp[y=-60:-15@ave,x=-180:180@ave,z=5000,d=1]"          | "Temperature"         | "-"     | "area[d=1]"
+#temp_lat_mids_10   | "temp"                       | "" | "temp[y=-60:-15@ave,x=-180:180@ave,z=1000,d=1]"          | "Temperature"         | "-"     | "area[d=1]"
+#temp_lat_mids_1    | "temp"                       | "" | "temp[y=-60:-15@ave,x=-180:180@ave,z=100,d=1]"           | "Temperature"         | "-"     | "area[d=1]"
+temp_lat_south_150 | "temp"                       | "" | "temp[y=-90:-60@ave,x=-180:180@ave,z=15000,d=1]"         | "Temperature"         | "-"     | "area[d=1]"
+temp_lat_south_50  | "temp"                       | "" | "temp[y=-90:-60@ave,x=-180:180@ave,z=5000,d=1]"          | "Temperature"         | "-"     | "area[d=1]"
+#temp_lat_south_10  | "temp"                       | "" | "temp[y=-90:-60@ave,x=-180:180@ave,z=1000,d=1]"          | "Temperature"         | "-"     | "area[d=1]"
+#temp_lat_south_1   | "temp"                       | "" | "temp[y=-90:-60@ave,x=-180:180@ave,z=100,d=1]"           | "Temperature"         | "-"     | "area[d=1]"
+
+
 #-----------------------------------------------------------------------------------------------------------------
 