Index: /CONFIG/UNIFORM/v6/IPSLCM5A2/GENERAL/PARAM/file_def_nemo-lim2_paleo.xml
===================================================================
--- /CONFIG/UNIFORM/v6/IPSLCM5A2/GENERAL/PARAM/file_def_nemo-lim2_paleo.xml	(revision 6055)
+++ /CONFIG/UNIFORM/v6/IPSLCM5A2/GENERAL/PARAM/file_def_nemo-lim2_paleo.xml	(revision 6056)
@@ -23,5 +23,5 @@
       <file_group id="1m" output_freq="1mo" output_level="10" enabled="_AUTO_"> <!-- real monthly files -->
 
-	<file id="file16" name_suffix="_icemod" description="ice variables" enabled=".TRUE." >
+	<file id="file17" name_suffix="_icemod" description="ice variables" enabled=".TRUE." >
 
 	  <field field_ref="ice_pres" />
Index: /CONFIG/UNIFORM/v6/IPSLCM5A2/GENERAL/PARAM/file_def_nemo-pisces_paleo.xml
===================================================================
--- /CONFIG/UNIFORM/v6/IPSLCM5A2/GENERAL/PARAM/file_def_nemo-pisces_paleo.xml	(revision 6055)
+++ /CONFIG/UNIFORM/v6/IPSLCM5A2/GENERAL/PARAM/file_def_nemo-pisces_paleo.xml	(revision 6056)
@@ -26,5 +26,5 @@
       <file_group id="1d" output_freq="1d"  output_level="10" enabled="_AUTO_">  <!-- 5d files -->   
 
-        <file id="file17" name_suffix="_PISCES_scalar" description="pisces sms variables" >
+        <file id="file18" name_suffix="_PISCES_scalar" description="pisces sms variables" >
           <!-- CARE: the conversion s->yr requires multiplyiong by 360 instead of 365 because we run with 360d -->
           <field field_ref="tdenit"   name="tdenit"   grid_ref="grid_1point" unit="TgN/yr" operation="instant" > tdenit * 14. * 86400. * 360. / 1e12 </field>
@@ -48,5 +48,5 @@
 
  
-       <file id="file18" name_suffix="_ptrc_T" description="pisces sms variables" enabled=".TRUE.">
+       <file id="file19" name_suffix="_ptrc_T" description="pisces sms variables" enabled=".TRUE.">
           <field field_ref="DIC"       name="DIC"      operation="average" freq_op="1mo" > @DIC_E3T / @e3t </field>
           <field field_ref="Alkalini"  name="Alkalini" operation="average" freq_op="1mo" > @Alkalini_E3T / @e3t </field>
@@ -75,5 +75,5 @@
     </file>
 
-   <file id="file19" name_suffix="_diad_T" description="additional pisces diagnostics" enabled=".TRUE." >
+   <file id="file20" name_suffix="_diad_T" description="additional pisces diagnostics" enabled=".TRUE." >
        <field field_ref="PH"         name="PH"        />
        <field field_ref="CO3"        name="CO3"       />
@@ -125,5 +125,5 @@
 
 
-    <file id="file20" name_suffix="_PISCES_scalar" description="pisces sms variables" enabled=".TRUE.">
+    <file id="file21" name_suffix="_PISCES_scalar" description="pisces sms variables" enabled=".TRUE.">
           <!-- CARE: the conversion s->yr requires multiplyiong by 360 instead of 365 because we run with 360d -->
           <field field_ref="tdenit"   name="tdenit"   grid_ref="grid_1point" unit="TgN/yr" operation="instant" > tdenit * 14. * 86400. * 360. / 1e12 </field>
@@ -151,5 +151,5 @@
 
  
-       <file id="file21" name_suffix="_ptrc_T" description="pisces sms variables" enabled=".TRUE.">
+       <file id="file22" name_suffix="_ptrc_T" description="pisces sms variables" enabled=".TRUE.">
           <field field_ref="DIC"       name="DIC"      operation="average" freq_op="1y" > @DIC_E3T / @e3t </field>
           <field field_ref="Alkalini"  name="Alkalini" operation="average" freq_op="1y" > @Alkalini_E3T / @e3t </field>
@@ -178,5 +178,5 @@
     </file>
 
-   <file id="file22" name_suffix="_diad_T" description="additional pisces diagnostics" enabled=".TRUE." >
+   <file id="file23" name_suffix="_diad_T" description="additional pisces diagnostics" enabled=".TRUE." >
        <field field_ref="PH"         name="PH"        />
        <field field_ref="CO3"        name="CO3"       />
Index: /CONFIG/UNIFORM/v6/IPSLCM5A2/GENERAL/PARAM/file_def_nemo-pisces_rivers_paleo.xml
===================================================================
--- /CONFIG/UNIFORM/v6/IPSLCM5A2/GENERAL/PARAM/file_def_nemo-pisces_rivers_paleo.xml	(revision 6055)
+++ /CONFIG/UNIFORM/v6/IPSLCM5A2/GENERAL/PARAM/file_def_nemo-pisces_rivers_paleo.xml	(revision 6056)
@@ -26,5 +26,5 @@
       <file_group id="1d_pis" output_freq="1d"  output_level="_AUTO_" enabled="_AUTO_" >  <!-- 1d files -->   
 
-        <file id="file17" name_suffix="_bioscalar" description="pisces sms variables" >
+        <file id="file18" name_suffix="_bioscalar" description="pisces sms variables" >
           <!-- CARE: the conversion s->yr requires multiplyiong by 360 instead of 365 because we run with 360d in paleo -->
           <field field_ref="tdenit"   name="tdenit"   grid_ref="grid_1point" unit="TgN/yr" operation="instant" level="2" > tdenit * 14. * 86400. * 360. / 1e12 </field>
@@ -45,5 +45,5 @@
       <file_group id="5d_pis" output_freq="5d"  output_level="_AUTO_" enabled="_AUTO_" >  <!-- 5d files -->   
 
-       <file id="file24" name_suffix="_bioscalar" description="pisces sms variables" >
+       <file id="file25" name_suffix="_bioscalar" description="pisces sms variables" >
           <!-- CARE: the conversion s->yr requires multiplyiong by 360 instead of 365 because we run with 360d in paleo -->
           <field field_ref="tdenit"   name="tdenit"   grid_ref="grid_1point" unit="TgN/yr" operation="instant" level="2" > tdenit * 14. * 86400. * 360. / 1e12 </field>
@@ -66,5 +66,5 @@
 
 
-        <file id="file18" name_suffix="_ptrc_T" description="pisces sms variables" >
+        <file id="file19" name_suffix="_ptrc_T" description="pisces sms variables" >
           <field field_ref="DIC"       name="DIC"      operation="average" freq_op="1mo" level="2" > @DIC_E3T / @e3t </field>
           <field field_ref="Alkalini"  name="Alkalini" operation="average" freq_op="1mo" level="2" > @Alkalini_E3T / @e3t </field>
@@ -95,5 +95,5 @@
 
 
-       <file id="file19" name_suffix="_diad_T" description="additional pisces diagnostics" >
+       <file id="file20" name_suffix="_diad_T" description="additional pisces diagnostics" >
 
         <field field_ref="PH"         name="PH"       level="2" />
@@ -137,5 +137,5 @@
        </file>
        
-       <file id="file20" name_suffix="_bioscalar" description="pisces sms variables" >
+       <file id="file21" name_suffix="_bioscalar" description="pisces sms variables" >
           <!-- CARE: the conversion s->yr requires multiplyiong by 360 instead of 365 because we run with 360d in paleo -->
           <field field_ref="tdenit"   name="tdenit"   grid_ref="grid_1point" unit="TgN/yr" operation="instant" level="1" > tdenit * 14. * 86400. * 360. / 1e12 </field>
@@ -163,5 +163,5 @@
 
  
-       <file id="file21" name_suffix="_ptrc_T" description="pisces sms variables" >
+       <file id="file22" name_suffix="_ptrc_T" description="pisces sms variables" >
           <field field_ref="DIC"       name="DIC"      operation="average" freq_op="1y" level="1"  > @DIC_E3T / @e3t </field>
           <field field_ref="Alkalini"  name="Alkalini" operation="average" freq_op="1y" level="1"  > @Alkalini_E3T / @e3t </field>
@@ -190,5 +190,5 @@
        </file>
 
-      <file id="file22" name_suffix="_diad_T" description="additional pisces diagnostics"  >
+      <file id="file23" name_suffix="_diad_T" description="additional pisces diagnostics"  >
 
         <field field_ref="PH"         name="PH"       level="2" />
@@ -228,5 +228,5 @@
       </file>
 
-       <file id="file23" name_suffix="_inerttrc" description="Inert tracer" >
+       <file id="file24" name_suffix="_inerttrc" description="Inert tracer" >
           <field field_ref="Age"         name="Age"      operation="average" freq_op="1y" level="1"  > @Age_E3T / @e3t </field>
           <field field_ref="CFC11"       name="CFC11"    operation="average" freq_op="1y" level="2"  > @CFC11_E3T / @e3t </field>