Index: /CONFIG/UNIFORM/v6/NEMO_v6.5.1/EXPERIMENTS/ORCA1_ICE_PISCES/core/ia/COMP/opa9.card
===================================================================
--- /CONFIG/UNIFORM/v6/NEMO_v6.5.1/EXPERIMENTS/ORCA1_ICE_PISCES/core/ia/COMP/opa9.card	(revision 6073)
+++ /CONFIG/UNIFORM/v6/NEMO_v6.5.1/EXPERIMENTS/ORCA1_ICE_PISCES/core/ia/COMP/opa9.card	(revision 6074)
@@ -8,5 +8,5 @@
 OutputLevel=10
 forcing=core
-R_FORCING=${R_IN}/OCE/NEMO/FORCINGS/COREII
+R_FORCING=${R_IN}/OCE/NEMO/FORCINGS/COREIIcorr
 ListForcing=(u_10_CORE2_fill v_10_CORE2_fill t_10_CORE2_fill q_10_CORE2_fill ncar_rad_CORE2_fill ncar_precip_CORE2_fill slp_CORE2_fill)
 YearForcingInit=1948
Index: /CONFIG/UNIFORM/v6/NEMO_v6.5.1/EXPERIMENTS/ORCA1_ICE_PISCES/jra/ia/COMP/opa9.card
===================================================================
--- /CONFIG/UNIFORM/v6/NEMO_v6.5.1/EXPERIMENTS/ORCA1_ICE_PISCES/jra/ia/COMP/opa9.card	(revision 6073)
+++ /CONFIG/UNIFORM/v6/NEMO_v6.5.1/EXPERIMENTS/ORCA1_ICE_PISCES/jra/ia/COMP/opa9.card	(revision 6074)
@@ -9,5 +9,5 @@
 forcing=jra
 R_FORCING=${R_IN}/OCE/NEMO/FORCINGS/MRI-JRA55-do-1-4-0
-ListForcing=(u_10 v_10 t_10 q_10 rsds rlds rain snow slp)
+ListForcing=(u_10 v_10 t_10 q_10 rsds rlds precip snow slp)
 YearForcingInit=1958
 YearForcingEnd=2018
Index: /CONFIG/UNIFORM/v6/NEMO_v6.5.1/EXPERIMENTS/ORCA1_ICE_TRC/core/ia/COMP/opa9.card
===================================================================
--- /CONFIG/UNIFORM/v6/NEMO_v6.5.1/EXPERIMENTS/ORCA1_ICE_TRC/core/ia/COMP/opa9.card	(revision 6073)
+++ /CONFIG/UNIFORM/v6/NEMO_v6.5.1/EXPERIMENTS/ORCA1_ICE_TRC/core/ia/COMP/opa9.card	(revision 6074)
@@ -8,5 +8,5 @@
 OutputLevel=10
 forcing=core
-R_FORCING=${R_IN}/OCE/NEMO/FORCINGS/COREII
+R_FORCING=${R_IN}/OCE/NEMO/FORCINGS/COREIIcorr
 ListForcing=(u_10_CORE2_fill v_10_CORE2_fill t_10_CORE2_fill q_10_CORE2_fill ncar_rad_CORE2_fill ncar_precip_CORE2_fill slp_CORE2_fill)
 YearForcingInit=1948
Index: /CONFIG/UNIFORM/v6/NEMO_v6.5.1/EXPERIMENTS/ORCA1_ICE_TRC/jra/ia/COMP/opa9.card
===================================================================
--- /CONFIG/UNIFORM/v6/NEMO_v6.5.1/EXPERIMENTS/ORCA1_ICE_TRC/jra/ia/COMP/opa9.card	(revision 6073)
+++ /CONFIG/UNIFORM/v6/NEMO_v6.5.1/EXPERIMENTS/ORCA1_ICE_TRC/jra/ia/COMP/opa9.card	(revision 6074)
@@ -9,5 +9,5 @@
 forcing=jra
 R_FORCING=${R_IN}/OCE/NEMO/FORCINGS/MRI-JRA55-do-1-4-0
-ListForcing=(u_10 v_10 t_10 q_10 rsds rlds rain snow slp)
+ListForcing=(u_10 v_10 t_10 q_10 rsds rlds precip snow slp)
 YearForcingInit=1958
 YearForcingEnd=2018
Index: /CONFIG/UNIFORM/v6/NEMO_v6.5.1/GENERAL/PARAM/NAMELIST/ORCA1/namelist_core_ia_cfg
===================================================================
--- /CONFIG/UNIFORM/v6/NEMO_v6.5.1/GENERAL/PARAM/NAMELIST/ORCA1/namelist_core_ia_cfg	(revision 6073)
+++ /CONFIG/UNIFORM/v6/NEMO_v6.5.1/GENERAL/PARAM/NAMELIST/ORCA1/namelist_core_ia_cfg	(revision 6074)
@@ -116,5 +116,5 @@
    sn_tair     = 't_10_CORE2_fill'            ,         6.        , 'T_10_MOD',   .false.    ,  .false. , 'yearly'  , 'weights_bilinear.nc' , ''       , ''
    sn_humi     = 'q_10_CORE2_fill'            ,         6.        , 'Q_10_MOD',   .false.    ,  .false. , 'yearly'  , 'weights_bilinear.nc' , ''       , ''
-   sn_prec     = 'ncar_precip_CORE2_fill'     ,        -1.        , 'RAIN'    ,   .false.    ,  .false. , 'yearly'  , 'weights_bilinear.nc' , ''       , ''
+   sn_prec     = 'ncar_precip_CORE2_fill'     ,        -1.        , 'PRC_MOD' ,   .false.    ,  .false. , 'yearly'  , 'weights_bilinear.nc' , ''       , ''
    sn_snow     = 'ncar_precip_CORE2_fill'     ,        -1.        , 'SNOW'    ,   .false.    ,  .false. , 'yearly'  , 'weights_bilinear.nc' , ''       , ''
    sn_slp      = 'slp_CORE2_fill'             ,         6.        , 'SLP'     ,   .false.    ,  .false. , 'yearly'  , 'weights_bilinear.nc' , ''       , ''
Index: /CONFIG/UNIFORM/v6/NEMO_v6.5.1/GENERAL/PARAM/NAMELIST/ORCA1/namelist_jra_ia_cfg
===================================================================
--- /CONFIG/UNIFORM/v6/NEMO_v6.5.1/GENERAL/PARAM/NAMELIST/ORCA1/namelist_jra_ia_cfg	(revision 6073)
+++ /CONFIG/UNIFORM/v6/NEMO_v6.5.1/GENERAL/PARAM/NAMELIST/ORCA1/namelist_jra_ia_cfg	(revision 6074)
@@ -92,9 +92,9 @@
                      ! Misc. options of sbc : 
    ln_traqsr   = .true.   !  Light penetration in the ocean            (T => fill namtra_qsr)
-   ln_dm2dc    = .true.   !  daily mean to diurnal cycle on short wave
+   ln_dm2dc    = .false.  !  daily mean to diurnal cycle on short wave
    ln_ssr      = .true.   !  Sea Surface Restoring on T and/or S       (T => fill namsbc_ssr)
-   nn_fwb      = 2         !  FreshWater Budget: =0 unchecked
-      !                    !     =1 global mean of e-p-r set to zero at each time step
-      !                    !     =2 annual global mean of e-p-r set to zero
+   nn_fwb      = 2        !  FreshWater Budget: =0 unchecked
+      !                   !     =1 global mean of e-p-r set to zero at each time step
+      !                   !     =2 annual global mean of e-p-r set to zero
    ln_rnf      = .true.   !  runoffs                                   (T => fill namsbc_rnf)
 /
@@ -115,5 +115,5 @@
    sn_tair     = 't_10'     ,         3          , 'tas'      ,     .true.  ,  .false. , 'yearly'  , 'weights_bilinear.nc' , ''
    sn_humi     = 'q_10'     ,         3          , 'huss'     ,     .true.  ,  .false. , 'yearly'  , 'weights_bilinear.nc' , ''
-   sn_prec     = 'rain'     ,         3          , 'prra'     ,     .true.  ,  .false. , 'yearly'  , 'weights_bilinear.nc' , ''
+   sn_prec     = 'precip'   ,         3          , 'prtot'    ,     .true.  ,  .false. , 'yearly'  , 'weights_bilinear.nc' , ''
    sn_snow     = 'snow'     ,         3          , 'prsn'     ,     .true.  ,  .false. , 'yearly'  , 'weights_bilinear.nc' , ''
    sn_slp      = 'slp'      ,         3          , 'psl'      ,     .true.  ,  .false. , 'yearly'  , 'weights_bilinear.nc' , ''
Index: /CONFIG/UNIFORM/v6/NEMO_v6.5.1/GENERAL/PARAM/NAMELIST/ORCA2/namelist_core_ia_cfg
===================================================================
--- /CONFIG/UNIFORM/v6/NEMO_v6.5.1/GENERAL/PARAM/NAMELIST/ORCA2/namelist_core_ia_cfg	(revision 6073)
+++ /CONFIG/UNIFORM/v6/NEMO_v6.5.1/GENERAL/PARAM/NAMELIST/ORCA2/namelist_core_ia_cfg	(revision 6074)
@@ -93,4 +93,5 @@
                      ! Misc. options of sbc : 
    ln_traqsr   = .true.    !  Light penetration in the ocean            (T => fill namtra_qsr)
+   ln_dm2dc    = .true.   !  daily mean to diurnal cycle on short wave
    ln_ssr      = .true.    !  Sea Surface Restoring on T and/or S       (T => fill namsbc_ssr)
    ln_rnf      = .true.    !  runoffs                                   (T => fill namsbc_rnf)
@@ -114,5 +115,5 @@
    sn_tair     = 't_10_CORE2_fill'            ,         6.        , 'T_10_MOD',   .false.    ,  .false. , 'yearly'  , 'weights_bilinear.nc' , ''       , ''
    sn_humi     = 'q_10_CORE2_fill'            ,         6.        , 'Q_10_MOD',   .false.    ,  .false. , 'yearly'  , 'weights_bilinear.nc' , ''       , ''
-   sn_prec     = 'ncar_precip_CORE2_fill'     ,        -1.        , 'RAIN'    ,   .false.    ,  .false. , 'yearly'  , 'weights_bilinear.nc' , ''       , ''
+   sn_prec     = 'ncar_precip_CORE2_fill'     ,        -1.        , 'PRC_MOD' ,   .false.    ,  .false. , 'yearly'  , 'weights_bilinear.nc' , ''       , ''
    sn_snow     = 'ncar_precip_CORE2_fill'     ,        -1.        , 'SNOW'    ,   .false.    ,  .false. , 'yearly'  , 'weights_bilinear.nc' , ''       , ''
    sn_slp      = 'slp_CORE2_fill'             ,         6.        , 'SLP'     ,   .false.    ,  .false. , 'yearly'  , 'weights_bilinear.nc' , ''       , ''
Index: /CONFIG/UNIFORM/v6/NEMO_v6.5.1/GENERAL/PARAM/NAMELIST/ORCA2/namelist_jra_ia_cfg
===================================================================
--- /CONFIG/UNIFORM/v6/NEMO_v6.5.1/GENERAL/PARAM/NAMELIST/ORCA2/namelist_jra_ia_cfg	(revision 6073)
+++ /CONFIG/UNIFORM/v6/NEMO_v6.5.1/GENERAL/PARAM/NAMELIST/ORCA2/namelist_jra_ia_cfg	(revision 6074)
@@ -93,4 +93,5 @@
                      ! Misc. options of sbc : 
    ln_traqsr   = .true.    !  Light penetration in the ocean            (T => fill namtra_qsr)
+   ln_dm2dc    = .false.  !  daily mean to diurnal cycle on short wave
    ln_ssr      = .true.    !  Sea Surface Restoring on T and/or S       (T => fill namsbc_ssr)
    ln_rnf      = .true.    !  runoffs                                   (T => fill namsbc_rnf)
@@ -114,5 +115,5 @@
    sn_tair     = 't_10'     ,         3          , 'tas'      ,     .true.  ,  .false. , 'yearly'  , 'weights_bilinear.nc' , ''
    sn_humi     = 'q_10'     ,         3          , 'huss'     ,     .true.  ,  .false. , 'yearly'  , 'weights_bilinear.nc' , ''
-   sn_prec     = 'rain'     ,         3          , 'prra'     ,     .true.  ,  .false. , 'yearly'  , 'weights_bilinear.nc' , ''
+   sn_prec     = 'precip'   ,         3          , 'prtot'    ,     .true.  ,  .false. , 'yearly'  , 'weights_bilinear.nc' , ''
    sn_snow     = 'snow'     ,         3          , 'prsn'     ,     .true.  ,  .false. , 'yearly'  , 'weights_bilinear.nc' , ''
    sn_slp      = 'slp'      ,         3          , 'psl'      ,     .true.  ,  .false. , 'yearly'  , 'weights_bilinear.nc' , ''