Index: CONFIG/UNIFORM/v6/NEMO_v6.5.1/EXPERIMENTS/ORCA2_ICE_PISCES/core/ia/COMP/pisces.card
===================================================================
--- CONFIG/UNIFORM/v6/NEMO_v6.5.1/EXPERIMENTS/ORCA2_ICE_PISCES/core/ia/COMP/pisces.card	(revision 6096)
+++ CONFIG/UNIFORM/v6/NEMO_v6.5.1/EXPERIMENTS/ORCA2_ICE_PISCES/core/ia/COMP/pisces.card	(revision 6098)
@@ -32,5 +32,5 @@
             (${R_IN}/OCE/NEMO/${opa9_UserChoices_ORCA_version}/PISCES/${opa9_UserChoices_ORCA_version}_pmarge_etopo.nc                    , pmarge.orca.nc      ), \
             (${R_IN}/OCE/NEMO/${opa9_UserChoices_ORCA_version}/PISCES/${opa9_UserChoices_ORCA_version}_hydrofe.nc                         , hydrofe.orca.nc      ), \
-            (${R_IN}/OCE/NEMO/${opa9_UserChoices_ORCA_version}/PISCES/${opa9_UserChoices_ORCA_version}_river_global_news2.nc              , river.orca.nc      ), \
+            (${R_IN}/OCE/NEMO/${opa9_UserChoices_ORCA_version}/PISCES/${opa9_UserChoices_ORCA_version}_river_1m_global_news2.nc           , river.orca.nc      ), \
             (${R_IN}/OCE/NEMO/${opa9_UserChoices_ORCA_version}/PISCES/${opa9_UserChoices_ORCA_version}_par_fraction_gewex_clim90s00s.nc   , par_fraction.orca.nc ), \
             (${R_IN}/OCE/NEMO/${opa9_UserChoices_ORCA_version}/PISCES/DUST_INCA_r360x180.new.nc                 , dustdep.nc       ), \
Index: CONFIG/UNIFORM/v6/NEMO_v6.5.1/EXPERIMENTS/ORCA2_ICE_PISCES/core/ia/config.card
===================================================================
--- CONFIG/UNIFORM/v6/NEMO_v6.5.1/EXPERIMENTS/ORCA2_ICE_PISCES/core/ia/config.card	(revision 6096)
+++ CONFIG/UNIFORM/v6/NEMO_v6.5.1/EXPERIMENTS/ORCA2_ICE_PISCES/core/ia/config.card	(revision 6098)
@@ -56,5 +56,5 @@
 Name=nemo
 #D- For each component, Real name of executable
-OCE= (opa_online_${OptMode}.exe, nemo, 30MPI)
+OCE= (opa_online_${OptMode}.exe, nemo, 118MPI)
 ICE= ("", "", "")
 MBG= ("", "", "")
Index: CONFIG/UNIFORM/v6/NEMO_v6.5.1/EXPERIMENTS/ORCA2_ICE_PISCES/jra/ia/COMP/pisces.card
===================================================================
--- CONFIG/UNIFORM/v6/NEMO_v6.5.1/EXPERIMENTS/ORCA2_ICE_PISCES/jra/ia/COMP/pisces.card	(revision 6096)
+++ CONFIG/UNIFORM/v6/NEMO_v6.5.1/EXPERIMENTS/ORCA2_ICE_PISCES/jra/ia/COMP/pisces.card	(revision 6098)
@@ -32,5 +32,5 @@
             (${R_IN}/OCE/NEMO/${opa9_UserChoices_ORCA_version}/PISCES/${opa9_UserChoices_ORCA_version}_pmarge_etopo.nc                    , pmarge.orca.nc      ), \
             (${R_IN}/OCE/NEMO/${opa9_UserChoices_ORCA_version}/PISCES/${opa9_UserChoices_ORCA_version}_hydrofe.nc                         , hydrofe.orca.nc      ), \
-            (${R_IN}/OCE/NEMO/${opa9_UserChoices_ORCA_version}/PISCES/${opa9_UserChoices_ORCA_version}_river_global_news2.nc              , river.orca.nc      ), \
+            (${R_IN}/OCE/NEMO/${opa9_UserChoices_ORCA_version}/PISCES/${opa9_UserChoices_ORCA_version}_river_1m_global_news2.nc           , river.orca.nc      ), \
             (${R_IN}/OCE/NEMO/${opa9_UserChoices_ORCA_version}/PISCES/${opa9_UserChoices_ORCA_version}_par_fraction_gewex_clim90s00s.nc   , par_fraction.orca.nc ), \
             (${R_IN}/OCE/NEMO/${opa9_UserChoices_ORCA_version}/PISCES/DUST_INCA_r360x180.new.nc                 , dustdep.nc       ), \
Index: CONFIG/UNIFORM/v6/NEMO_v6.5.1/EXPERIMENTS/ORCA2_ICE_PISCES/jra/ia/config.card
===================================================================
--- CONFIG/UNIFORM/v6/NEMO_v6.5.1/EXPERIMENTS/ORCA2_ICE_PISCES/jra/ia/config.card	(revision 6096)
+++ CONFIG/UNIFORM/v6/NEMO_v6.5.1/EXPERIMENTS/ORCA2_ICE_PISCES/jra/ia/config.card	(revision 6098)
@@ -56,5 +56,5 @@
 Name=nemo
 #D- For each component, Real name of executable
-OCE= (opa_online_${OptMode}.exe, nemo, 30MPI)
+OCE= (opa_online_${OptMode}.exe, nemo, 118MPI)
 ICE= ("", "", "")
 MBG= ("", "", "")
Index: CONFIG/UNIFORM/v6/NEMO_v6.5.1/GENERAL/PARAM/NAMELIST/ORCA1/namelist_core_clim_cfg
===================================================================
--- CONFIG/UNIFORM/v6/NEMO_v6.5.1/GENERAL/PARAM/NAMELIST/ORCA1/namelist_core_clim_cfg	(revision 6096)
+++ CONFIG/UNIFORM/v6/NEMO_v6.5.1/GENERAL/PARAM/NAMELIST/ORCA1/namelist_core_clim_cfg	(revision 6098)
@@ -465,5 +465,5 @@
 !-----------------------------------------------------------------------
    ln_mevar    = .false.    !  variable (T) or constant (F) mixing efficiency
-   ln_tsdiff   = .false.    !  account for differential T/S mixing (T) or not (F)
+   ln_tsdiff   = .true.     !  account for differential T/S mixing (T) or not (F)
 
    cn_dir      = './'      !  root directory for the iwm data location
Index: CONFIG/UNIFORM/v6/NEMO_v6.5.1/GENERAL/PARAM/NAMELIST/ORCA1/namelist_core_ia_cfg
===================================================================
--- CONFIG/UNIFORM/v6/NEMO_v6.5.1/GENERAL/PARAM/NAMELIST/ORCA1/namelist_core_ia_cfg	(revision 6096)
+++ CONFIG/UNIFORM/v6/NEMO_v6.5.1/GENERAL/PARAM/NAMELIST/ORCA1/namelist_core_ia_cfg	(revision 6098)
@@ -465,5 +465,5 @@
 !-----------------------------------------------------------------------
    ln_mevar    = .false.    !  variable (T) or constant (F) mixing efficiency
-   ln_tsdiff   = .false.    !  account for differential T/S mixing (T) or not (F)
+   ln_tsdiff   = .true.     !  account for differential T/S mixing (T) or not (F)
 
    cn_dir      = './'      !  root directory for the iwm data location
Index: CONFIG/UNIFORM/v6/NEMO_v6.5.1/GENERAL/PARAM/NAMELIST/ORCA1/namelist_jra_ia_cfg
===================================================================
--- CONFIG/UNIFORM/v6/NEMO_v6.5.1/GENERAL/PARAM/NAMELIST/ORCA1/namelist_jra_ia_cfg	(revision 6096)
+++ CONFIG/UNIFORM/v6/NEMO_v6.5.1/GENERAL/PARAM/NAMELIST/ORCA1/namelist_jra_ia_cfg	(revision 6098)
@@ -464,5 +464,5 @@
 !-----------------------------------------------------------------------
    ln_mevar    = .false.    !  variable (T) or constant (F) mixing efficiency
-   ln_tsdiff   = .false.    !  account for differential T/S mixing (T) or not (F)
+   ln_tsdiff   = .true.     !  account for differential T/S mixing (T) or not (F)
 
    cn_dir      = './'      !  root directory for the iwm data location
Index: CONFIG/UNIFORM/v6/NEMO_v6.5.1/GENERAL/PARAM/NAMELIST/ORCA2/namelist_core_clim_cfg
===================================================================
--- CONFIG/UNIFORM/v6/NEMO_v6.5.1/GENERAL/PARAM/NAMELIST/ORCA2/namelist_core_clim_cfg	(revision 6096)
+++ CONFIG/UNIFORM/v6/NEMO_v6.5.1/GENERAL/PARAM/NAMELIST/ORCA2/namelist_core_clim_cfg	(revision 6098)
@@ -150,5 +150,5 @@
    !           !  file name              ! frequency (hours) ! variable  ! time interp.!  clim  ! 'yearly'/ ! weights filename ! rotation ! land/sea mask !
    !           !                         !  (if <0  months)  !   name    !   (logical) !  (T/F) ! 'monthly' !                  ! pairing  !    filename   !
-   sn_sss      = 'sss_absolute_salinity_WOA13_decav_clim.nc',        -1.        ,  'sss'    ,    .true.   , .true. , 'yearly'  ,    ''            ,    ''    ,     ''
+   sn_sss      = 'sss_absolute_salinity.nc',        -1.        ,  'sss'    ,    .true.   , .true. , 'yearly'  ,    ''            ,    ''    ,     ''
 /
 !-----------------------------------------------------------------------
@@ -324,5 +324,4 @@
 !-----------------------------------------------------------------------
    ln_dynvor_een = .true.  !  energy & enstrophy scheme
-      nn_een_e3f = 0          ! =0   e3f = mean masked e3t divided by 4
 /
 !-----------------------------------------------------------------------
@@ -379,5 +378,5 @@
 !-----------------------------------------------------------------------
    ln_mevar    = .false.    !  variable (T) or constant (F) mixing efficiency
-   ln_tsdiff   = .false.    !  account for differential T/S mixing (T) or not (F)
+   ln_tsdiff   = .true.     !  account for differential T/S mixing (T) or not (F)
 
    cn_dir      = './'      !  root directory for the iwm data location
Index: CONFIG/UNIFORM/v6/NEMO_v6.5.1/GENERAL/PARAM/NAMELIST/ORCA2/namelist_core_ia_cfg
===================================================================
--- CONFIG/UNIFORM/v6/NEMO_v6.5.1/GENERAL/PARAM/NAMELIST/ORCA2/namelist_core_ia_cfg	(revision 6096)
+++ CONFIG/UNIFORM/v6/NEMO_v6.5.1/GENERAL/PARAM/NAMELIST/ORCA2/namelist_core_ia_cfg	(revision 6098)
@@ -150,5 +150,5 @@
    !           !  file name              ! frequency (hours) ! variable  ! time interp.!  clim  ! 'yearly'/ ! weights filename ! rotation ! land/sea mask !
    !           !                         !  (if <0  months)  !   name    !   (logical) !  (T/F) ! 'monthly' !                  ! pairing  !    filename   !
-   sn_sss      = 'sss_absolute_salinity_WOA13_decav_clim.nc',        -1.        ,  'sss'    ,    .true.   , .true. , 'yearly'  ,    ''            ,    ''    ,     ''
+   sn_sss      = 'sss_absolute_salinity.nc',        -1.        ,  'sss'    ,    .true.   , .true. , 'yearly'  ,    ''            ,    ''    ,     ''
 /
 !-----------------------------------------------------------------------
@@ -324,5 +324,4 @@
 !-----------------------------------------------------------------------
    ln_dynvor_een = .true.  !  energy & enstrophy scheme
-      nn_een_e3f = 0          ! =0   e3f = mean masked e3t divided by 4
 /
 !-----------------------------------------------------------------------
@@ -379,5 +378,5 @@
 !-----------------------------------------------------------------------
    ln_mevar    = .false.    !  variable (T) or constant (F) mixing efficiency
-   ln_tsdiff   = .false.    !  account for differential T/S mixing (T) or not (F)
+   ln_tsdiff   = .true.     !  account for differential T/S mixing (T) or not (F)
 
    cn_dir      = './'      !  root directory for the iwm data location
Index: CONFIG/UNIFORM/v6/NEMO_v6.5.1/GENERAL/PARAM/NAMELIST/ORCA2/namelist_jra_ia_cfg
===================================================================
--- CONFIG/UNIFORM/v6/NEMO_v6.5.1/GENERAL/PARAM/NAMELIST/ORCA2/namelist_jra_ia_cfg	(revision 6096)
+++ CONFIG/UNIFORM/v6/NEMO_v6.5.1/GENERAL/PARAM/NAMELIST/ORCA2/namelist_jra_ia_cfg	(revision 6098)
@@ -149,5 +149,5 @@
    !           !  file name              ! frequency (hours) ! variable  ! time interp.!  clim  ! 'yearly'/ ! weights filename ! rotation ! land/sea mask !
    !           !                         !  (if <0  months)  !   name    !   (logical) !  (T/F) ! 'monthly' !                  ! pairing  !    filename   !
-   sn_sss      = 'sss_absolute_salinity_WOA13_decav_clim.nc',        -1.        ,  'sss'    ,    .true.   , .true. , 'yearly'  ,    ''            ,    ''    ,     ''
+   sn_sss      = 'sss_absolute_salinity.nc',        -1.        ,  'sss'    ,    .true.   , .true. , 'yearly'  ,    ''            ,    ''    ,     ''
 /
 !-----------------------------------------------------------------------
@@ -323,5 +323,4 @@
 !-----------------------------------------------------------------------
    ln_dynvor_een = .true.  !  energy & enstrophy scheme
-      nn_een_e3f = 0          ! =0   e3f = mean masked e3t divided by 4
 /
 !-----------------------------------------------------------------------
@@ -378,5 +377,5 @@
 !-----------------------------------------------------------------------
    ln_mevar    = .false.    !  variable (T) or constant (F) mixing efficiency
-   ln_tsdiff   = .false.    !  account for differential T/S mixing (T) or not (F)
+   ln_tsdiff   = .true.     !  account for differential T/S mixing (T) or not (F)
 
    cn_dir      = './'      !  root directory for the iwm data location
Index: CONFIG/UNIFORM/v6/NEMO_v6.5.1/SOURCES/arch-X64_IRENE-AMD.fcm
===================================================================
--- CONFIG/UNIFORM/v6/NEMO_v6.5.1/SOURCES/arch-X64_IRENE-AMD.fcm	(revision 6096)
+++ CONFIG/UNIFORM/v6/NEMO_v6.5.1/SOURCES/arch-X64_IRENE-AMD.fcm	(revision 6098)
@@ -41,5 +41,5 @@
 %CPP                 cpp
 %FC                  mpif90 -c -cpp
-%FCFLAGS             -i4 -r8 -O3 -fp-model strict -xCORE-AVX512 -fno-alias
+%FCFLAGS             -i4 -r8 -O3 -fp-model strict 
 %FFLAGS              %FCFLAGS
 %LD                  mpif90
Index: CONFIG/UNIFORM/v6/NEMO_v6.5.1/SOURCES/arch-X64_IRENE.fcm
===================================================================
--- CONFIG/UNIFORM/v6/NEMO_v6.5.1/SOURCES/arch-X64_IRENE.fcm	(revision 6096)
+++ CONFIG/UNIFORM/v6/NEMO_v6.5.1/SOURCES/arch-X64_IRENE.fcm	(revision 6098)
@@ -41,5 +41,5 @@
 %CPP                 cpp -P
 %FC                  mpif90 -c -cpp
-%FCFLAGS             -i4 -r8 -O3 -fp-model strict -xCORE-AVX512 -fno-alias
+%FCFLAGS             -i4 -r8 -O3 -fp-model strict 
 %FFLAGS              %FCFLAGS
 %LD                  mpif90
Index: CONFIG/UNIFORM/v6/NEMO_v6.5.1/compile_nemo.sh
===================================================================
--- CONFIG/UNIFORM/v6/NEMO_v6.5.1/compile_nemo.sh	(revision 6096)
+++ CONFIG/UNIFORM/v6/NEMO_v6.5.1/compile_nemo.sh	(revision 6098)
@@ -146,6 +146,6 @@
 echo; echo "NOW COMPILE XIOS"
 echo >> $outfile ; echo " NOW COMPILE XIOS"   >> $outfile 
-echo ./make_xios  --$optmode --arch $fcm_arch --arch_path $arch_path --job 2 $full_xios   >> $outfile 
-     ./make_xios  --$optmode --arch $fcm_arch --arch_path $arch_path --job 2 $full_xios   >> $outfile 2>&1
+echo ./make_xios  --$optmode --arch $fcm_arch --arch_path $arch_path --job 4 $full_xios   >> $outfile 
+     ./make_xios  --$optmode --arch $fcm_arch --arch_path $arch_path --job 4 $full_xios   >> $outfile 2>&1
 # Test if compiling succeded 
 if [[ $? != 0 ]] ; then 