Index: CONFIG/UNIFORM/v6/IPSLCM6.2/EXPERIMENTS/IPSLCM/historical_TEST/COMP/orchidee.card
===================================================================
--- CONFIG/UNIFORM/v6/IPSLCM6.2/EXPERIMENTS/IPSLCM/historical_TEST/COMP/orchidee.card	(revision 6133)
+++ CONFIG/UNIFORM/v6/IPSLCM6.2/EXPERIMENTS/IPSLCM/historical_TEST/COMP/orchidee.card	(revision 6134)
@@ -65,5 +65,5 @@
 Patches = ()
 GatherWithInternal = (lon, lat, time_counter, Areas, Contfrac, time_centered, time_centered_bounds)
-TimeSeriesVars2D = (nobiofrac, alb_nir, alb_vis, evap, fluxlat, fluxsens, rain, runoff, snow, snownobio, snowf, frac_snow, subli, tair, temp_sol, drainage, mrsos, mrso, TWBR, riverflow, coastalflow, DelSoilMoist_daily, DelIntercept_daily, DelSWE_daily, delstock_routing, LAImean, transpir, evapnu, lwdown, swdown, t2m, gppCrop, rhCrop)
+TimeSeriesVars2D = (nobiofrac, alb_nir, alb_vis, evap, fluxlat, fluxsens, rain, runoff, snow, snownobio, snowf, frac_snow, subli, tair, temp_sol, drainage, mrsos, mrso, TWBR, riverflow, coastalflow, DelSoilMoist_daily, DelIntercept_daily, DelSWE_daily, delstock_routing, LAImean, transpir, evapnu, lwdown, swdown, gppCrop, rhCrop)
 ChunckJob2D = NONE
 TimeSeriesVars3D = (lai, maxvegetfrac, vegetfrac, nee, gpp, growth_resp, hetero_resp, humrel, inter, maint_resp, npp, precisol)
Index: CONFIG/UNIFORM/v6/IPSLCM6.2/EXPERIMENTS/IPSLESM/AER/piControl_AER_TEST/COMP/orchidee.card
===================================================================
--- CONFIG/UNIFORM/v6/IPSLCM6.2/EXPERIMENTS/IPSLESM/AER/piControl_AER_TEST/COMP/orchidee.card	(revision 6133)
+++ CONFIG/UNIFORM/v6/IPSLCM6.2/EXPERIMENTS/IPSLESM/AER/piControl_AER_TEST/COMP/orchidee.card	(revision 6134)
@@ -72,5 +72,5 @@
 Patches = ()
 GatherWithInternal = (lon, lat, time_counter, Areas, Contfrac, time_centered, time_centered_bounds)
-TimeSeriesVars2D = (nobiofrac, alb_nir, alb_vis, evap, fluxlat, fluxsens, rain, runoff, snow, snownobio, snowf, frac_snow, subli, tair, temp_sol, drainage, mrsos, mrso, TWBR, riverflow, coastalflow, DelSoilMoist_daily, DelIntercept_daily, DelSWE_daily, delstock_routing_daily, LAImean, transpir, evapnu, lwdown, swdown, t2m, gppCrop, rhCrop)
+TimeSeriesVars2D = (nobiofrac, alb_nir, alb_vis, evap, fluxlat, fluxsens, rain, runoff, snow, snownobio, snowf, frac_snow, subli, tair, temp_sol, drainage, mrsos, mrso, TWBR, riverflow, coastalflow, DelSoilMoist_daily, DelIntercept_daily, DelSWE_daily, delstock_routing_daily, LAImean, transpir, evapnu, lwdown, swdown, gppCrop, rhCrop)
 ChunckJob2D = NONE
 TimeSeriesVars3D = (lai, maxvegetfrac, vegetfrac, nee, gpp, growth_resp, hetero_resp, humrel, inter, maint_resp, npp, precisol)
Index: CONFIG/UNIFORM/v6/IPSLCM6.2/EXPERIMENTS/IPSLESM/CO2/piControl_TEST/COMP/orchidee.card
===================================================================
--- CONFIG/UNIFORM/v6/IPSLCM6.2/EXPERIMENTS/IPSLESM/CO2/piControl_TEST/COMP/orchidee.card	(revision 6133)
+++ CONFIG/UNIFORM/v6/IPSLCM6.2/EXPERIMENTS/IPSLESM/CO2/piControl_TEST/COMP/orchidee.card	(revision 6134)
@@ -70,5 +70,5 @@
 Patches = ()
 GatherWithInternal = (lon, lat, time_counter, Areas, Contfrac, time_centered, time_centered_bounds)
-TimeSeriesVars2D = (nobiofrac, alb_nir, alb_vis, evap, fluxlat, fluxsens, rain, runoff, snow, snownobio, snowf, frac_snow, subli, tair, temp_sol, drainage, mrsos, mrso, TWBR, riverflow, coastalflow, DelSoilMoist_daily, DelIntercept_daily, DelSWE_daily, delstock_routing_daily, LAImean, transpir, evapnu, lwdown, swdown, t2m, gppCrop, rhCrop)
+TimeSeriesVars2D = (nobiofrac, alb_nir, alb_vis, evap, fluxlat, fluxsens, rain, runoff, snow, snownobio, snowf, frac_snow, subli, tair, temp_sol, drainage, mrsos, mrso, TWBR, riverflow, coastalflow, DelSoilMoist_daily, DelIntercept_daily, DelSWE_daily, delstock_routing_daily, LAImean, transpir, evapnu, lwdown, swdown, gppCrop, rhCrop)
 ChunckJob2D = NONE
 TimeSeriesVars3D = (lai, maxvegetfrac, vegetfrac, nee, gpp, growth_resp, hetero_resp, humrel, inter, maint_resp, npp, precisol)
Index: CONFIG/UNIFORM/v6/IPSLCM6.2/EXPERIMENTS/IPSLESM/CO2AER/piControl_CO2AER_TEST/COMP/orchidee.card
===================================================================
--- CONFIG/UNIFORM/v6/IPSLCM6.2/EXPERIMENTS/IPSLESM/CO2AER/piControl_CO2AER_TEST/COMP/orchidee.card	(revision 6133)
+++ CONFIG/UNIFORM/v6/IPSLCM6.2/EXPERIMENTS/IPSLESM/CO2AER/piControl_CO2AER_TEST/COMP/orchidee.card	(revision 6134)
@@ -72,5 +72,5 @@
 Patches = ()
 GatherWithInternal = (lon, lat, time_counter, Areas, Contfrac, time_centered, time_centered_bounds)
-TimeSeriesVars2D = (nobiofrac, alb_nir, alb_vis, evap, fluxlat, fluxsens, rain, runoff, snow, snownobio, snowf, frac_snow, subli, tair, temp_sol, drainage, mrsos, mrso, TWBR, riverflow, coastalflow, DelSoilMoist_daily, DelIntercept_daily, DelSWE_daily, delstock_routing_daily, LAImean, transpir, evapnu, lwdown, swdown, t2m, gppCrop, rhCrop)
+TimeSeriesVars2D = (nobiofrac, alb_nir, alb_vis, evap, fluxlat, fluxsens, rain, runoff, snow, snownobio, snowf, frac_snow, subli, tair, temp_sol, drainage, mrsos, mrso, TWBR, riverflow, coastalflow, DelSoilMoist_daily, DelIntercept_daily, DelSWE_daily, delstock_routing_daily, LAImean, transpir, evapnu, lwdown, swdown, gppCrop, rhCrop)
 ChunckJob2D = NONE
 TimeSeriesVars3D = (lai, maxvegetfrac, vegetfrac, nee, gpp, growth_resp, hetero_resp, humrel, inter, maint_resp, npp, precisol)